This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 718886 - e1000e: WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x108/0x17c()
e1000e: WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x108/0x17c()
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:aa89d0ad9d9c7ae5774086f5891...
: Tracking
: 737569 746166 760879 771930 784980 786313 786316 790539 804842 805732 806282 812013 814472 814473 820811 856054 858142 895481 (view as bug list)
Depends On:
Blocks: sch_generic
  Show dependency treegraph
 
Reported: 2011-07-04 21:32 EDT by smashfedorabugz
Modified: 2016-02-08 12:41 EST (History)
90 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-11 16:37:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
messages file with kmalloc errors (137.86 KB, text/plain)
2011-12-24 04:28 EST, Andrew Travneff
no flags Details

  None (edit)
Description smashfedorabugz 2011-07-04 21:32:40 EDT
abrt version: 2.0.3
architecture:   x86_64
cmdline:        ro root=/dev/mapper/vg_wks003-HLV01--ROOT rd_LVM_LV=vg_wks003/HLV01-ROOT rd_LVM_LV=vg_wks003/hlv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
comment:        I  have no idea, ABRT just popped up reporting it.
component:      kernel
kernel:         2.6.38.8-32.fc15.x86_64
kernel_tainted: 512
kernel_tainted_long: Taint on warning.
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         [262977.327928] WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x108/0x17c()
time:           Mon Jul  4 17:06:10 2011

backtrace:
:[262977.327928] WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x108/0x17c()
:[262977.327932] Hardware name: 3249CTO
:[262977.327936] NETDEV WATCHDOG: em1 (e1000e): transmit queue 0 timed out
:[262977.327939] Modules linked in: tcp_lp fuse ip6table_filter ip6_tables ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge 8021q garp stp llc sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer thinkpad_acpi snd snd_page_alloc arc4 iwlagn iwlcore mac80211 cfg80211 btusb bluetooth rfkill soundcore iTCO_wdt iTCO_vendor_support virtio_net kvm_intel kvm usblp e1000e intel_ips uvcvideo wmi i2c_i801 videodev v4l2_compat_ioctl32 joydev microcode ipv6 usb_storage uas i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:[262977.328017] Pid: 0, comm: swapper Not tainted 2.6.38.8-32.fc15.x86_64 #1
:[262977.328021] Call Trace:
:[262977.328024]  <IRQ>  [<ffffffff8105511a>] warn_slowpath_common+0x83/0x9b
:[262977.328039]  [<ffffffff810551d5>] warn_slowpath_fmt+0x46/0x48
:[262977.328045]  [<ffffffff813db469>] ? netif_tx_lock+0x4a/0x7c
:[262977.328051]  [<ffffffff813db5f7>] dev_watchdog+0x108/0x17c
:[262977.328059]  [<ffffffff810616db>] ? mod_timer+0x8c/0x93
:[262977.328065]  [<ffffffff81061378>] run_timer_softirq+0x1a4/0x266
:[262977.328074]  [<ffffffff8100fc99>] ? paravirt_read_tsc+0x9/0xd
:[262977.328080]  [<ffffffff813db4ef>] ? dev_watchdog+0x0/0x17c
:[262977.328089]  [<ffffffff8105ae4c>] __do_softirq+0xd2/0x19d
:[262977.328095]  [<ffffffff8100fc99>] ? paravirt_read_tsc+0x9/0xd
:[262977.328101]  [<ffffffff8100aadc>] call_softirq+0x1c/0x30
:[262977.328106]  [<ffffffff8100c101>] do_softirq+0x46/0x81
:[262977.328112]  [<ffffffff8105afd0>] irq_exit+0x49/0x8b
:[262977.328121]  [<ffffffff8147c09b>] smp_apic_timer_interrupt+0x7e/0x8c
:[262977.328127]  [<ffffffff8100a593>] apic_timer_interrupt+0x13/0x20
:[262977.328130]  <EOI>  [<ffffffff8100fc99>] ? paravirt_read_tsc+0x9/0xd
:[262977.328143]  [<ffffffff81274567>] ? intel_idle+0xdb/0x100
:[262977.328149]  [<ffffffff81274546>] ? intel_idle+0xba/0x100
:[262977.328157]  [<ffffffff81398d54>] cpuidle_idle_call+0xe7/0x166
:[262977.328166]  [<ffffffff81008321>] cpu_idle+0xa5/0xdf
:[262977.328174]  [<ffffffff81454cde>] rest_init+0x72/0x74
:[262977.328182]  [<ffffffff81b58c2f>] start_kernel+0x3f2/0x3fe
:[262977.328187]  [<ffffffff81b582c4>] x86_64_start_reservations+0xaf/0xb3
:[262977.328193]  [<ffffffff81b58140>] ? early_idt_handler+0x0/0x71
:[262977.328198]  [<ffffffff81b583cf>] x86_64_start_kernel+0x107/0x116
Comment 1 Dave Jones 2011-07-11 16:37:04 EDT

*** This bug has been marked as a duplicate of bug 702723 ***
Comment 2 Dave Jones 2011-09-19 16:03:29 EDT
*** Bug 737569 has been marked as a duplicate of this bug. ***
Comment 3 Josh Boyer 2011-09-26 15:36:10 EDT
Is this still happening with the latest 2.6.40.x F15 kernel update?
Comment 4 Lex Chou 2011-09-27 20:35:19 EDT
I have this bug on my 2.6.40.4-5.fc15.x86_64 too.
my network adapter is r8169, I tried to use
ethtool -s p7p1 autoneg off
to disable auto-negotiation, the kernel crash seems happens less frequently, but the network still is unavailable sometimes, and has big packet loss rate(5%~20% packet loss when ping my gateway).

my windows on this machine works fine with this network adapter.
Comment 5 Lex Chou 2011-09-28 10:53:27 EDT
I know how to reproduce this:
1) Use a motherboard with r8168 chip
2) Install Fedora, it will use r8169's driver during the installation.

Solution to fix it:
1) Uninstall r8169
2) Install a correct driver.
Comment 6 Dave Jones 2011-10-14 10:14:38 EDT
*** Bug 746166 has been marked as a duplicate of this bug. ***
Comment 7 efreeti 2011-10-16 21:45:03 EDT
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
chatting on facebook with the gnome notification window
Comment 8 efreeti 2011-10-18 12:27:09 EDT
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
no idea what happened.
Comment 9 efreeti 2011-10-18 22:02:37 EDT
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
pop out suddenly.
Comment 10 efreeti 2011-10-19 22:16:49 EDT
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
no interruption on my work. but appears in motification, i dunno how to reproduce
Comment 11 Raphael Groner 2011-10-23 04:10:28 EDT
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Tried to redo connection via wired network.
Comment 12 Raphael Groner 2011-10-23 04:12:45 EDT
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Tried to redo connection via wired network.
Comment 13 efreeti 2011-10-25 01:31:43 EDT
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
i dunno how it can crash when i was away...
Comment 14 Frederic Grelot 2011-11-17 04:05:46 EST
I get the same bug, using r8169 driver for my motherboard ethernet controller.
I'm not sure about kernel versions, but it's Fedora 16, and it happend with the latest 2 kernels, so it must be 3.1.1-1 or 3.1.0-7. I will check this tonight.

This is the stack trace I got :

Nov 17 08:05:59 vmserver kernel: [   75.712037] ------------[ cut here ]------------
Nov 17 08:05:59 vmserver kernel: [   75.712053] WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0xf0/0x150()
Nov 17 08:05:59 vmserver kernel: [   75.712059] Hardware name: To be filled by O.E.M.
Nov 17 08:05:59 vmserver kernel: [   75.712065] NETDEV WATCHDOG: p4p1 (r8169): transmit queue 0 timed out
Nov 17 08:05:59 vmserver kernel: [   75.712070] Modules linked in: ppdev parport_pc lp parport bnep bluetooth fuse ebtable_nat ebtables bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_REJECT nf_conntrack_ipv4 nf_conntrack_ipv6 nf_defrag_ipv4 nf_defrag_ipv6 xt_state ip6table_filter nf_conntrack ip6_tables joydev snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm eeepc_wmi asus_wmi sp5100_tco snd_timer edac_core snd i2c_piix4 k10temp edac_mce_amd r8169 serio_raw sparse_keymap soundcore rfkill microcode mii snd_page_alloc virtio_net kvm_amd kvm binfmt_misc nfsd lockd nfs_acl auth_rpcgss sunrpc uinput btrfs zlib_deflate libcrc32c raid0 raid1 uas usb_storage wmi ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Nov 17 08:05:59 vmserver kernel: [   75.712180] Pid: 0, comm: kworker/0:1 Not tainted 3.1.1-1.fc16.x86_64 #1
Nov 17 08:05:59 vmserver kernel: [   75.712185] Call Trace:
Nov 17 08:05:59 vmserver kernel: [   75.712190]  <IRQ>  [<ffffffff81057a1e>] warn_slowpath_common+0x83/0x9b
Nov 17 08:05:59 vmserver kernel: [   75.712207]  [<ffffffff81057ad9>] warn_slowpath_fmt+0x46/0x48
Nov 17 08:05:59 vmserver kernel: [   75.712215]  [<ffffffff813f0925>] ? netif_tx_lock+0x4a/0x7c
Nov 17 08:05:59 vmserver kernel: [   75.712225]  [<ffffffff813f0a9b>] dev_watchdog+0xf0/0x150
Nov 17 08:05:59 vmserver kernel: [   75.712234]  [<ffffffff81064b19>] run_timer_softirq+0x19b/0x280
Nov 17 08:05:59 vmserver kernel: [   75.712242]  [<ffffffff81014fec>] ? sched_clock+0x9/0xd
Nov 17 08:05:59 vmserver kernel: [   75.712249]  [<ffffffff813f09ab>] ? netif_tx_unlock+0x54/0x54
Nov 17 08:05:59 vmserver kernel: [   75.712258]  [<ffffffff8105d67b>] __do_softirq+0xc9/0x1b5
Nov 17 08:05:59 vmserver kernel: [   75.712265]  [<ffffffff81014b35>] ? paravirt_read_tsc+0x9/0xd
Nov 17 08:05:59 vmserver kernel: [   75.712271]  [<ffffffff81014fec>] ? sched_clock+0x9/0xd
Nov 17 08:05:59 vmserver kernel: [   75.712280]  [<ffffffff814bfb2c>] call_softirq+0x1c/0x30
Nov 17 08:05:59 vmserver kernel: [   75.712288]  [<ffffffff81010b45>] do_softirq+0x46/0x81
Nov 17 08:05:59 vmserver kernel: [   75.712295]  [<ffffffff8105d943>] irq_exit+0x57/0xb1
Nov 17 08:05:59 vmserver kernel: [   75.712303]  [<ffffffff814c04a1>] smp_apic_timer_interrupt+0x7c/0x8a
Nov 17 08:05:59 vmserver kernel: [   75.712311]  [<ffffffff814be39e>] apic_timer_interrupt+0x6e/0x80
Nov 17 08:05:59 vmserver kernel: [   75.712315]  <EOI>  [<ffffffff8102f2f1>] ? native_safe_halt+0xb/0xd
Nov 17 08:05:59 vmserver kernel: [   75.712330]  [<ffffffff81015b7e>] default_idle+0x4e/0x86
Nov 17 08:05:59 vmserver kernel: [   75.712337]  [<ffffffff81015c79>] amd_e400_idle+0xc3/0xe4
Nov 17 08:05:59 vmserver kernel: [   75.712344]  [<ffffffff8100e2ed>] cpu_idle+0xae/0xe8
Nov 17 08:05:59 vmserver kernel: [   75.712353]  [<ffffffff814a54bc>] start_secondary+0x23f/0x241
Nov 17 08:05:59 vmserver kernel: [   75.712359] ---[ end trace 12b49dbc89c6ed04 ]---


Furthermore, few minutes later, I get lots of similar traces :

Nov 17 08:06:23 vmserver kernel: [  100.165991] BUG: soft lockup - CPU#2 stuck for 23s! [kworker/0:1:0]
Nov 17 08:06:23 vmserver kernel: [  100.165998] Modules linked in: ppdev parport_pc lp parport bnep bluetooth fuse ebtable_nat ebtables bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_REJECT nf_conntrack_ipv4 nf_conntrack_ipv6 nf_defrag_ipv4 nf_defrag_ipv6 xt_state ip6table_filter nf_conntrack ip6_tables joydev snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm eeepc_wmi asus_wmi sp5100_tco snd_timer edac_core snd i2c_piix4 k10temp edac_mce_amd r8169 serio_raw sparse_keymap soundcore rfkill microcode mii snd_page_alloc virtio_net kvm_amd kvm binfmt_misc nfsd lockd nfs_acl auth_rpcgss sunrpc uinput btrfs zlib_deflate libcrc32c raid0 raid1 uas usb_storage wmi ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Nov 17 08:06:23 vmserver kernel: [  100.166006] CPU 2 
Nov 17 08:06:23 vmserver kernel: [  100.166006] Modules linked in: ppdev parport_pc lp parport bnep bluetooth fuse ebtable_nat ebtables bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_REJECT nf_conntrack_ipv4 nf_conntrack_ipv6 nf_defrag_ipv4 nf_defrag_ipv6 xt_state ip6table_filter nf_conntrack ip6_tables joydev snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm eeepc_wmi asus_wmi sp5100_tco snd_timer edac_core snd i2c_piix4 k10temp edac_mce_amd r8169 serio_raw sparse_keymap soundcore rfkill microcode mii snd_page_alloc virtio_net kvm_amd kvm binfmt_misc nfsd lockd nfs_acl auth_rpcgss sunrpc uinput btrfs zlib_deflate libcrc32c raid0 raid1 uas usb_storage wmi ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Nov 17 08:06:23 vmserver kernel: [  100.166006] 
Nov 17 08:06:23 vmserver kernel: [  100.166006] Pid: 0, comm: kworker/0:1 Tainted: G        W   3.1.1-1.fc16.x86_64 #1 To be filled by O.E.M. To be filled by O.E.M./M5A97
Nov 17 08:06:23 vmserver kernel: [  100.166006] RIP: 0010:[<ffffffff81229631>]  [<ffffffff81229631>] delay_tsc+0x2d/0x74
Nov 17 08:06:23 vmserver kernel: [  100.166006] RSP: 0018:ffff88043fc83db0  EFLAGS: 00000246
Nov 17 08:06:23 vmserver kernel: [  100.166006] RAX: fffffffffba18b2d RBX: 0000000000000002 RCX: 00000000fba18b2d
Nov 17 08:06:23 vmserver kernel: [  100.166006] RDX: 0000000000044d54 RSI: 0000000000000046 RDI: 00000000000553f6
Nov 17 08:06:23 vmserver kernel: [  100.166006] RBP: ffff88043fc83dd0 R08: 0000000000000002 R09: 0000ffff00066c0a
Nov 17 08:06:23 vmserver kernel: [  100.166006] R10: 0000ffff00066c0a R11: 0000000000000000 R12: ffff88043fc83d28
Nov 17 08:06:23 vmserver kernel: [  100.166006] R13: ffffffff814be39e R14: ffff88043fc83dd0 R15: 00000000000553f6
Nov 17 08:06:23 vmserver kernel: [  100.166006] FS:  00007f3eecfb9980(0000) GS:ffff88043fc80000(0000) knlGS:0000000000000000
Nov 17 08:06:23 vmserver kernel: [  100.166006] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Nov 17 08:06:23 vmserver kernel: [  100.166006] CR2: 0000000002589030 CR3: 0000000001a05000 CR4: 00000000000006e0
Nov 17 08:06:23 vmserver kernel: [  100.166006] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Nov 17 08:06:23 vmserver kernel: [  100.166006] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Nov 17 08:06:23 vmserver kernel: [  100.166006] Process kworker/0:1 (pid: 0, threadinfo ffff880425578000, task ffff880425551730)
Nov 17 08:06:23 vmserver kernel: [  100.166006] Stack:
Nov 17 08:06:23 vmserver kernel: [  100.166006]  ffffc900125fe000 ffff88041d3da740 0000000000000100 ffff88043fc83ea0
Nov 17 08:06:23 vmserver kernel: [  100.166006]  ffff88043fc83de0 ffffffff812295a9 ffff88043fc83df0 ffffffff812295d7
Nov 17 08:06:23 vmserver kernel: [  100.166006]  ffff88043fc83e10 ffffffffa0529847 ffff88041d3da000 ffff88041d3da380
Nov 17 08:06:23 vmserver kernel: [  100.166006] Call Trace:
Nov 17 08:06:23 vmserver kernel: [  100.166006]  <IRQ> 
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff812295a9>] __delay+0xf/0x11
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff812295d7>] __const_udelay+0x2c/0x2e
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffffa0529847>] rtl8169_hw_reset+0x71/0x9b [r8169]
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffffa0529fb8>] rtl8169_tx_timeout+0x1a/0x2d [r8169]
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff813f0aaf>] dev_watchdog+0x104/0x150
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff81064b19>] run_timer_softirq+0x19b/0x280
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff81014fec>] ? sched_clock+0x9/0xd
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff813f09ab>] ? netif_tx_unlock+0x54/0x54
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff8105d67b>] __do_softirq+0xc9/0x1b5
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff81014b35>] ? paravirt_read_tsc+0x9/0xd
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff81014fec>] ? sched_clock+0x9/0xd
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff814bfb2c>] call_softirq+0x1c/0x30
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff81010b45>] do_softirq+0x46/0x81
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff8105d943>] irq_exit+0x57/0xb1
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff814c04a1>] smp_apic_timer_interrupt+0x7c/0x8a
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff814be39e>] apic_timer_interrupt+0x6e/0x80
Nov 17 08:06:23 vmserver kernel: [  100.166006]  <EOI> 
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff8102f2f1>] ? native_safe_halt+0xb/0xd
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff81015b7e>] default_idle+0x4e/0x86
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff81015c79>] amd_e400_idle+0xc3/0xe4
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff8100e2ed>] cpu_idle+0xae/0xe8
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff814a54bc>] start_secondary+0x23f/0x241
Nov 17 08:06:23 vmserver kernel: [  100.166006] Code: 89 e5 41 56 41 55 41 54 53 66 66 66 66 90 65 44 8b 2c 25 a8 d3 00 00 49 89 fc 0f ae f0 66 66 90 e8 25 ff ff ff 48 63 d8 0f ae f0 
Nov 17 08:06:23 vmserver kernel: [  100.166006] Call Trace:
Nov 17 08:06:23 vmserver kernel: [  100.166006]  <IRQ>  [<ffffffff812295a9>] __delay+0xf/0x11
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff812295d7>] __const_udelay+0x2c/0x2e
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffffa0529847>] rtl8169_hw_reset+0x71/0x9b [r8169]
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffffa0529fb8>] rtl8169_tx_timeout+0x1a/0x2d [r8169]
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff813f0aaf>] dev_watchdog+0x104/0x150
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff81064b19>] run_timer_softirq+0x19b/0x280
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff81014fec>] ? sched_clock+0x9/0xd
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff813f09ab>] ? netif_tx_unlock+0x54/0x54
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff8105d67b>] __do_softirq+0xc9/0x1b5
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff81014b35>] ? paravirt_read_tsc+0x9/0xd
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff81014fec>] ? sched_clock+0x9/0xd
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff814bfb2c>] call_softirq+0x1c/0x30
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff81010b45>] do_softirq+0x46/0x81
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff8105d943>] irq_exit+0x57/0xb1
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff814c04a1>] smp_apic_timer_interrupt+0x7c/0x8a
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff814be39e>] apic_timer_interrupt+0x6e/0x80
Nov 17 08:06:23 vmserver kernel: [  100.166006]  <EOI>  [<ffffffff8102f2f1>] ? native_safe_halt+0xb/0xd
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff81015b7e>] default_idle+0x4e/0x86
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff81015c79>] amd_e400_idle+0xc3/0xe4
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff8100e2ed>] cpu_idle+0xae/0xe8
Nov 17 08:06:23 vmserver kernel: [  100.166006]  [<ffffffff814a54bc>] start_secondary+0x23f/0x241


and the following :


Nov 17 08:06:51 vmserver kernel: [  128.165990] BUG: soft lockup - CPU#2 stuck for 22s! [kworker/0:1:0]
Nov 17 08:06:51 vmserver kernel: [  128.165995] Modules linked in: ppdev parport_pc lp parport bnep bluetooth fuse ebtable_nat ebtables bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_REJECT nf_conntrack_ipv4 nf_conntrack_ipv6 nf_defrag_ipv4 nf_defrag_ipv6 xt_state ip6table_filter nf_conntrack ip6_tables joydev snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm eeepc_wmi asus_wmi sp5100_tco snd_timer edac_core snd i2c_piix4 k10temp edac_mce_amd r8169 serio_raw sparse_keymap soundcore rfkill microcode mii snd_page_alloc virtio_net kvm_amd kvm binfmt_misc nfsd lockd nfs_acl auth_rpcgss sunrpc uinput btrfs zlib_deflate libcrc32c raid0 raid1 uas usb_storage wmi ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Nov 17 08:06:51 vmserver kernel: [  128.166006] CPU 2 
Nov 17 08:06:51 vmserver kernel: [  128.166006] Modules linked in: ppdev parport_pc lp parport bnep bluetooth fuse ebtable_nat ebtables bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_REJECT nf_conntrack_ipv4 nf_conntrack_ipv6 nf_defrag_ipv4 nf_defrag_ipv6 xt_state ip6table_filter nf_conntrack ip6_tables joydev snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm eeepc_wmi asus_wmi sp5100_tco snd_timer edac_core snd i2c_piix4 k10temp edac_mce_amd r8169 serio_raw sparse_keymap soundcore rfkill microcode mii snd_page_alloc virtio_net kvm_amd kvm binfmt_misc nfsd lockd nfs_acl auth_rpcgss sunrpc uinput btrfs zlib_deflate libcrc32c raid0 raid1 uas usb_storage wmi ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Nov 17 08:06:51 vmserver kernel: [  128.166006] 
Nov 17 08:06:51 vmserver kernel: [  128.166006] Pid: 0, comm: kworker/0:1 Tainted: G        W   3.1.1-1.fc16.x86_64 #1 To be filled by O.E.M. To be filled by O.E.M./M5A97
Nov 17 08:06:51 vmserver kernel: [  128.166006] RIP: 0010:[<ffffffff81015567>]  [<ffffffff81015567>] native_read_tsc+0x6/0x14
Nov 17 08:06:51 vmserver kernel: [  128.166006] RSP: 0018:ffff88043fc83d90  EFLAGS: 00000246
Nov 17 08:06:51 vmserver kernel: [  128.166006] RAX: 00000000bf1c5301 RBX: ffff88043fc83dd0 RCX: 00000000bf1c5180
Nov 17 08:06:51 vmserver kernel: [  128.166006] RDX: 000000000000007c RSI: 0000000000000046 RDI: 00000000000553f6
Nov 17 08:06:51 vmserver kernel: [  128.166006] RBP: ffff88043fc83d90 R08: 0000000000000002 R09: 0000ffff00066c0a
Nov 17 08:06:51 vmserver kernel: [  128.166006] R10: 0000ffff00066c0a R11: 0000000000000000 R12: ffff88043fc83d08
Nov 17 08:06:51 vmserver kernel: [  128.166006] R13: ffffffff814be39e R14: ffff88043fc83d90 R15: 00000000000553f6
Nov 17 08:06:51 vmserver kernel: [  128.166006] FS:  00007f3eecfb9980(0000) GS:ffff88043fc80000(0000) knlGS:0000000000000000
Nov 17 08:06:51 vmserver kernel: [  128.166006] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Nov 17 08:06:51 vmserver kernel: [  128.166006] CR2: 0000000002589030 CR3: 0000000001a05000 CR4: 00000000000006e0
Nov 17 08:06:51 vmserver kernel: [  128.166006] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Nov 17 08:06:51 vmserver kernel: [  128.166006] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Nov 17 08:06:51 vmserver kernel: [  128.166006] Process kworker/0:1 (pid: 0, threadinfo ffff880425578000, task ffff880425551730)
Nov 17 08:06:51 vmserver kernel: [  128.166006] Stack:
Nov 17 08:06:51 vmserver kernel: [  128.166006]  ffff88043fc83da0 ffffffff8122955e ffff88043fc83dd0 ffffffff81229639
Nov 17 08:06:51 vmserver kernel: [  128.166006]  ffffc900125fe000 ffff88041d3da740 0000000000000100 ffff88043fc83ea0
Nov 17 08:06:51 vmserver kernel: [  128.166006]  ffff88043fc83de0 ffffffff812295a9 ffff88043fc83df0 ffffffff812295d7
Nov 17 08:06:51 vmserver kernel: [  128.166006] Call Trace:
Nov 17 08:06:51 vmserver kernel: [  128.166006]  <IRQ> 
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff8122955e>] paravirt_read_tsc+0xe/0x12
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff81229639>] delay_tsc+0x35/0x74
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff812295a9>] __delay+0xf/0x11
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff812295d7>] __const_udelay+0x2c/0x2e
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffffa0529847>] rtl8169_hw_reset+0x71/0x9b [r8169]
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffffa0529fb8>] rtl8169_tx_timeout+0x1a/0x2d [r8169]
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff813f0aaf>] dev_watchdog+0x104/0x150
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff81064b19>] run_timer_softirq+0x19b/0x280
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff81014fec>] ? sched_clock+0x9/0xd
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff813f09ab>] ? netif_tx_unlock+0x54/0x54
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff8105d67b>] __do_softirq+0xc9/0x1b5
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff81014b35>] ? paravirt_read_tsc+0x9/0xd
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff81014fec>] ? sched_clock+0x9/0xd
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff814bfb2c>] call_softirq+0x1c/0x30
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff81010b45>] do_softirq+0x46/0x81
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff8105d943>] irq_exit+0x57/0xb1
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff814c04a1>] smp_apic_timer_interrupt+0x7c/0x8a
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff814be39e>] apic_timer_interrupt+0x6e/0x80
Nov 17 08:06:51 vmserver kernel: [  128.166006]  <EOI> 
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff8102f2f1>] ? native_safe_halt+0xb/0xd
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff81015b7e>] default_idle+0x4e/0x86
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff81015c79>] amd_e400_idle+0xc3/0xe4
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff8100e2ed>] cpu_idle+0xae/0xe8
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff814a54bc>] start_secondary+0x23f/0x241
Nov 17 08:06:51 vmserver kernel: [  128.166006] Code: 40 21 00 5d c3 90 90 90 55 40 88 f8 48 89 e5 e6 70 e4 71 5d c3 55 40 88 f0 48 89 e5 e6 70 40 88 f8 e6 71 5d c3 55 48 89 e5 0f 31 
Nov 17 08:06:51 vmserver kernel: [  128.166006] Call Trace:
Nov 17 08:06:51 vmserver kernel: [  128.166006]  <IRQ>  [<ffffffff8122955e>] paravirt_read_tsc+0xe/0x12
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff81229639>] delay_tsc+0x35/0x74
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff812295a9>] __delay+0xf/0x11
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff812295d7>] __const_udelay+0x2c/0x2e
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffffa0529847>] rtl8169_hw_reset+0x71/0x9b [r8169]
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffffa0529fb8>] rtl8169_tx_timeout+0x1a/0x2d [r8169]
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff813f0aaf>] dev_watchdog+0x104/0x150
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff81064b19>] run_timer_softirq+0x19b/0x280
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff81014fec>] ? sched_clock+0x9/0xd
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff813f09ab>] ? netif_tx_unlock+0x54/0x54
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff8105d67b>] __do_softirq+0xc9/0x1b5
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff81014b35>] ? paravirt_read_tsc+0x9/0xd
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff81014fec>] ? sched_clock+0x9/0xd
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff814bfb2c>] call_softirq+0x1c/0x30
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff81010b45>] do_softirq+0x46/0x81
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff8105d943>] irq_exit+0x57/0xb1
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff814c04a1>] smp_apic_timer_interrupt+0x7c/0x8a
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff814be39e>] apic_timer_interrupt+0x6e/0x80
Nov 17 08:06:51 vmserver kernel: [  128.166006]  <EOI>  [<ffffffff8102f2f1>] ? native_safe_halt+0xb/0xd
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff81015b7e>] default_idle+0x4e/0x86
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff81015c79>] amd_e400_idle+0xc3/0xe4
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff8100e2ed>] cpu_idle+0xae/0xe8
Nov 17 08:06:51 vmserver kernel: [  128.166006]  [<ffffffff814a54bc>] start_secondary+0x23f/0x241



All those dumps are inside "paravirt_read_tsc"

And of course, I don't have any network connectivity anymore (pinging from another computer does not give one single answer)

In comment #5, Lex Chou says that :
Solution to fix it:
1) Uninstall r8169
2) Install a correct driver.

I'd be happy to hear how to use another driver than the one provided with the kernel (although I doubt it's easy...)

This morning, I disabled the onboard network controller, and the computer seemed to work perfectly fine : however, I can't do anything without the network...

My first temporary solution will be to add a PCI Ethernet card but it may also be an R8169...
Comment 15 Frederic Grelot 2011-11-17 04:11:20 EST
I just realized that the kernel version is in the dump... So it's definitely  3.1.1-1.fc16.x86_64 (and motherboard is an M5A97)
(and sorry for the ugly dump, I should have shortened line headers a bit... But I'm on a MS/Win rescue PC right now, I can't do much more easily!)
Comment 16 Frederic Grelot 2011-11-17 04:25:10 EST
By the way, I'm pretty sure that these two bugs (tagged as duplicate) are the same as this one :
https://bugzilla.redhat.com/show_bug.cgi?id=751637
https://bugzilla.redhat.com/show_bug.cgi?id=715137
Comment 17 Frederic Grelot 2011-11-20 11:21:52 EST
I tried many things, and discovered what caused the bug in my case : somewhere on my network, one of the computers had crashed (was running F16) and was overloading the network. I don't know what happened to it, but I just turned it off. The LEDs of my switches stopped blinking, and the other computer (that one which crashed with the aforementioned stack trace) had no more problems booting...
Thus, the crashed had been fired (in my case) by an unusual activity on the network : unfortunately I cannot say much, but I hope this'll help!
Comment 18 Josh Boyer 2011-12-07 09:03:28 EST
*** Bug 760879 has been marked as a duplicate of this bug. ***
Comment 19 Andrew Travneff 2011-12-24 04:28:24 EST
Created attachment 549424 [details]
messages file with kmalloc errors

Seen subject issue once at Fedora 16 x86-64 (3.1.5-2.fc16.x86_64.debug).
Also a kmalloc "poison overwritten" errors was throwed, so maybe it is useful (log attached).

HW: 03:00.0 Ethernet controller [0200]: Intel Corporation 82574L Gigabit Network Connection [8086:10d3]
(PCI-E)

No Ralink network devices have been ever present there.
Comment 20 Andrew Travneff 2011-12-24 04:48:18 EST
Add: previously described case caused system hang, sysrq keys were ignored.
Comment 21 Raphael Groner 2011-12-24 08:07:33 EST
I am not sure if this bug can be reprocuded with the current kernel version. 
Sometimes I've seen also a kernel panic dump cause of wifi connection change.

Linux schlebby 3.1.5-6.fc16.x86_64 #1 SMP Thu Dec 15 16:14:44 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

01:00.0 Ethernet controller: Atheros Communications AR8152 v2.0 Fast Ethernet (rev c1)
02:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)
Comment 22 Josh Boyer 2012-01-05 08:50:19 EST
*** Bug 771930 has been marked as a duplicate of this bug. ***
Comment 23 Josh Boyer 2012-01-26 15:19:05 EST
*** Bug 784980 has been marked as a duplicate of this bug. ***
Comment 24 Josh Boyer 2012-02-01 10:46:37 EST
*** Bug 786316 has been marked as a duplicate of this bug. ***
Comment 25 Josh Boyer 2012-02-01 10:46:54 EST
*** Bug 786313 has been marked as a duplicate of this bug. ***
Comment 26 Justin M. Forbes 2012-02-27 13:32:01 EST
*** Bug 790539 has been marked as a duplicate of this bug. ***
Comment 27 Dave Jones 2012-03-19 18:45:02 EDT
*** Bug 804842 has been marked as a duplicate of this bug. ***
Comment 28 Dave Jones 2012-03-22 10:46:29 EDT
*** Bug 805732 has been marked as a duplicate of this bug. ***
Comment 29 Dave Jones 2012-03-23 10:53:05 EDT
*** Bug 806282 has been marked as a duplicate of this bug. ***
Comment 30 Raphael Groner 2012-03-23 14:09:50 EDT
I am using Fedora 16 and I don't know how to reproduce this bug for sure. It happened very spontanously here. So, I am out for this bug till it'll happen again and in case, I'll get back to try an unique process how to reproduce.
Comment 31 Arne Woerner 2012-04-05 05:39:57 EDT
it just happpened with 3.3.0-8.fc16.i686 on my N270 with a USB Ethernet adapter:
kernel:[348671.008046] ------------[ cut here ]------------
kernel:[348671.008078] WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x1da/0x1f0()
kernel:[348671.008090] Hardware name:         
kernel:[348671.008100] NETDEV WATCHDOG: eth1 (MOSCHIP usb-ethernet driver): transmit queue 0 timed out
kernel:[348671.008110] Modules linked in: binfmt_misc nfsd nfs_acl auth_rpcgss lockd ipt_LOG ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ipt_MASQUERADE xt_state iptable_nat nf_nat nf_conntrack_ipv4 ip6table_filter nf_conntrack w83627ehf hwmon_vid mt2060 ip6_tables nf_defrag_ipv4 rc_dib0700_rc5 dvb_usb_dib0700 dib0090 dib7000p ir_lirc_codec dib7000m lirc_dev dib0070 dvb_usb ir_mce_kbd_decoder dib8000 ir_sanyo_decoder ir_sony_decoder dib9000 ir_jvc_decoder dvb_core ir_rc6_decoder ir_rc5_decoder ir_nec_decoder dib3000mc snd_hda_codec_realtek rc_core snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm iTCO_wdt mcs7830 usbnet r8169 dibx000_common mii i2c_i801 iTCO_vendor_support snd_timer snd soundcore snd_page_alloc serio_raw sunrpc i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
kernel:[348671.008333] Pid: 0, comm: swapper/1 Not tainted 3.3.0-8.fc16.i686 #1
kernel:[348671.008343] Call Trace:
kernel:[348671.008366]  [<c0437292>] warn_slowpath_common+0x72/0xa0
kernel:[348671.008383]  [<c0856aba>] ? dev_watchdog+0x1da/0x1f0
kernel:[348671.008398]  [<c0856aba>] ? dev_watchdog+0x1da/0x1f0
kernel:[348671.008414]  [<c0437363>] warn_slowpath_fmt+0x33/0x40
kernel:[348671.008430]  [<c0856aba>] dev_watchdog+0x1da/0x1f0
kernel:[348671.008456]  [<c043dda0>] ? __tasklet_hi_schedule_first+0x80/0x80
kernel:[348671.008472]  [<c0444b67>] run_timer_softirq+0xf7/0x2e0
kernel:[348671.008489]  [<c04ba717>] ? __rcu_process_callbacks+0x47/0x330
kernel:[348671.008505]  [<c08568e0>] ? qdisc_reset+0x40/0x40
kernel:[348671.008521]  [<c043dda0>] ? __tasklet_hi_schedule_first+0x80/0x80
kernel:[348671.008536]  [<c043de31>] __do_softirq+0x91/0x1c0
kernel:[348671.008553]  [<c043dda0>] ? __tasklet_hi_schedule_first+0x80/0x80
kernel:[348671.008563]  <IRQ>  [<c043e18e>] ? irq_exit+0x7e/0xa0
kernel:[348671.008588]  [<c041f929>] ? smp_apic_timer_interrupt+0x59/0x90
kernel:[348671.008607]  [<c0931e45>] ? notifier_call_chain+0x45/0x60
kernel:[348671.008623]  [<c092eeb5>] ? apic_timer_interrupt+0x31/0x38
kernel:[348671.008639]  [<c043007b>] ? aes_dec_blk+0x757/0xb6c
kernel:[348671.008657]  [<c06a29c2>] ? intel_idle+0xd2/0x130
kernel:[348671.008674]  [<c080447d>] ? cpuidle_idle_call+0xad/0x250
kernel:[348671.008691]  [<c04023bc>] ? cpu_idle+0x9c/0xe0
kernel:[348671.008707]  [<c091fdd1>] ? start_secondary+0x288/0x28d
kernel:[348671.008720] ---[ end trace b9bb1ed7824dbc97 ]---
Comment 32 Josh Boyer 2012-04-16 21:02:36 EDT
*** Bug 812013 has been marked as a duplicate of this bug. ***
Comment 33 Kirtis Bakalarczyk 2012-04-17 09:33:53 EDT
Just got a message from ABRT saying there's a problem with the kernel.  I was just browsing the web with firefox.

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 34 Josh Boyer 2012-04-20 08:41:34 EDT
*** Bug 814472 has been marked as a duplicate of this bug. ***
Comment 35 Josh Boyer 2012-04-20 08:41:42 EDT
*** Bug 814473 has been marked as a duplicate of this bug. ***
Comment 36 Matteo 2012-04-24 14:11:27 EDT
3.3.x Kernels kill Networking. On my laptops I can't use Wi-Fi or Wired network with those.
Wi-Fi fails on authentication, Wired simply doesn't resolve addresses and 3.3.1 has crashes on kernel modules... like this time.

Please do not force updates to 3.3.x kernels until these bugs are gone. 3.2.7 Kernel was fine.


Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 37 Dave Jones 2012-05-14 15:57:09 EDT
*** Bug 820811 has been marked as a duplicate of this bug. ***
Comment 38 Josh Boyer 2012-06-06 11:45:48 EDT
Moving to rawhide so this doesn't get closed due to F15 EOL
Comment 39 Josh Boyer 2012-09-11 08:49:44 EDT
*** Bug 856054 has been marked as a duplicate of this bug. ***
Comment 40 Dave Jones 2012-09-18 12:03:19 EDT
*** Bug 858142 has been marked as a duplicate of this bug. ***
Comment 41 Josh Boyer 2013-01-15 09:28:07 EST
*** Bug 895481 has been marked as a duplicate of this bug. ***
Comment 42 Michael 2013-01-22 07:23:10 EST
i reboot my DSL router from ISP - i get a kernel crash? its reproducible 

Package: kernel
OS Release: Fedora release 18 (Spherical Cow)
Comment 43 Michael 2013-01-29 09:04:17 EST
today i get this kernel crash twice! the second by login to bugzilla ?!
Comment 44 Michael 2013-01-29 09:06:35 EST
i will login to bugzilla

Package: kernel
OS Release: Fedora release 18 (Spherical Cow)
Comment 45 Kaoru Ng 2013-01-31 00:53:34 EST
Kernel update

Package: kernel
OS Release: Fedora release 18 (Spherical Cow)
Comment 46 gev000 2013-02-04 17:57:39 EST
The error coincided with  loss of connectivity because of a switch failure

Package: kernel
OS Release: Fedora release 18 (Spherical Cow)
Comment 47 Jason Parks 2013-02-18 14:57:44 EST
happened while asleep, no hung processes

Package: kernel
OS Release: Fedora release 18 (Spherical Cow)
Comment 48 Andres Gallardo 2013-02-26 08:15:03 EST
Well, I don't know, just I start my pc and show me this error, but sometines I feel my PC slow and the mouse don't work.

Package: kernel
OS Release: Fedora release 18 (Spherical Cow)
Comment 49 Klaus Lichtenwalder 2013-03-09 03:50:55 EST
The system was running normal, but I did not work with it at the time.

This was happening on two identical systems at the same time


Package: kernel
OS Release: Fedora release 18 (Spherical Cow)
Comment 50 L.L.Robinson 2013-03-14 04:54:45 EDT
Booted up and logged in

Package: kernel
OS Release: Fedora release 18 (Spherical Cow)
Comment 51 Juan Espinosa 2013-03-18 00:37:40 EDT
Ran 'yum update', rebooted, error appeared.

Package: kernel
OS Release: Fedora release 18 (Spherical Cow)
Comment 52 Michael 2013-03-19 10:26:37 EDT
i am in my VPN .....

Package: kernel
OS Release: Fedora release 18 (Spherical Cow)
Comment 53 cezar4229 2013-03-20 11:12:25 EDT
Al momento de estar instalando un sistema opertivo en caja, para ver como funcionaba el sistema de virtualización

Package: kernel
OS Release: Fedora release 18 (Spherical Cow)
Comment 54 megacol 2013-03-21 19:27:31 EDT
nothing happened.

after reboot, i only logged in to desktop. after a minute me doing nothing at all the warning appeared.


Package: kernel
OS Release: Fedora release 18 (Spherical Cow)
Comment 55 Michael 2013-03-25 08:09:53 EDT
after a midori crash i cant start midori whitout kernelcrash ?! 

Package: kernel
OS Release: Fedora release 18 (Spherical Cow)
Comment 56 Michael 2013-03-25 08:27:53 EDT
now, kernel crashes cames twice .... i have *many* problems to send my midori crash. everytime the network was fucked up... 

Package: kernel
OS Release: Fedora release 18 (Spherical Cow)
Comment 57 Olivier Philip 2013-03-26 16:55:42 EDT
While using LibreOffice Writer, possibly picture related.

Package: kernel
Architecture: i686
OS Release: Fedora release 18 (Spherical Cow)
Comment 58 Joergen Thomsen 2013-03-28 08:07:42 EDT
while rsync data from another server in the same local network

Package: kernel
OS Release: Fedora release 18 (Spherical Cow)
Comment 59 Joergen Thomsen 2013-03-28 08:33:14 EDT
(In reply to comment #58)
> while rsync data from another server in the same local network
> 
> Package: kernel
> OS Release: Fedora release 18 (Spherical Cow)

It happened again just after a reboot starting the rsync job again. After copying a couple of files the oops occurred and there was no net connectivity (Destination ... unreachable) 
Hardware is ASUS Sabertooth 990 FX R2.0 with AMD FX4100
Comment 60 Joergen Thomsen 2013-03-28 08:54:40 EDT
(In reply to comment #58)
> while rsync data from another server in the same local network
> 
> Package: kernel
> OS Release: Fedora release 18 (Spherical Cow)

It happened for the third time in a row just after reboot on a server otherwise not used.
A few files rsynced and then poof!
Apparently it is related to high utilization of the network.
Comment 61 Joergen Thomsen 2013-03-28 09:49:18 EDT
(In reply to comment #60)
> (In reply to comment #58)
> > while rsync data from another server in the same local network
> > 
> > Package: kernel
> > OS Release: Fedora release 18 (Spherical Cow)
> 
> It happened for the third time in a row just after reboot on a server
> otherwise not used.
> A few files rsynced and then poof!
> Apparently it is related to high utilization of the network.

This server has the r8168 NIC and the kernel is using the r8169 driver.

However, after power cycling a switch the problem is apparently not reoccurring and copying between the same source server and another server (using netbios) improved in speed by a factor of around 10.
Probably my version of the problem must have been caused by a problem in the switch.
Comment 62 Joergen Thomsen 2013-04-01 07:16:30 EDT
In any case all means to avoid loss of connectivity must be used.
The software must be as much failure resistant as possible and include recovery measures.

It can be a big problem for remotely controlled servers in unmanned locations (in our case a 400 miles trip might be needed).
Comment 63 Fedora End Of Life 2013-04-03 15:28:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 64 Joergen Thomsen 2013-04-08 16:58:52 EDT
(In reply to comment #63)
> This bug appears to have been reported against 'rawhide' during the Fedora
> 19 development cycle.
> Changing version to '19'.
> 

This is a frequent problem of Fedora 18 GA !
Comment 65 purpleidea 2013-04-16 01:05:51 EDT
+1
Comment 66 Michael 2013-04-21 08:20:26 EDT
Description of problem:
i set up (whit yumex) libo and gwibber (fc18) network fucked up (no connect to anny fedora mirror) i change my network connection from wlan to lan - i reboot my dsl-router. i can install software. after setup i do a reboot - abrt tells me a kernel problem. nm-applet is busy: nm-applet shows - no (wireless) connect. but i am online. 

Version-Release number of selected component:
kernel

Additional info:
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.8.8-202.fc18.x86_64 root=UUID=00d95c3b-156b-4ad4-8751-1c76e866c86e ro rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 vconsole.keymap=de rhgb quiet
kernel:         3.8.8-202.fc18.x86_64
runlevel:       N 5
type:           Kerneloops
ureports_counter: 1

Truncated backtrace:
WARNING: at net/sched/sch_generic.c:254 dev_watchdog+0x238/0x250()
Hardware name: 7458BF2
NETDEV WATCHDOG: eth0 (e1000e): transmit queue 0 timed out
Modules linked in: fuse ebtable_nat ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables cdc_ether usbnet mii cdc_acm cdc_wdm rfcomm bnep be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi btusb bluetooth snd_hda_codec_conexant iTCO_wdt iTCO_vendor_support snd_hda_intel snd_hda_codec snd_hwdep snd_seq coretemp snd_seq_device arc4 iwldvm mac80211 snd_pcm snd_page_alloc snd_timer e1000e thinkpad_acpi snd iwlwifi cfg80211 soundcore microcode i2c_i801 lpc_ich mfd_core rfkill mei kvm uinput i915 i2c_algo_bit drm_kms_helper drm i2c_core wmi video
Pid: 0, comm: swapper/0 Not tainted 3.8.8-202.fc18.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff8105e675>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105e756>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff810f190f>] ? handle_edge_irq+0x6f/0x110
 [<ffffffff81567078>] dev_watchdog+0x238/0x250
 [<ffffffff81566e40>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106d08a>] call_timer_fn+0x3a/0x110
 [<ffffffff81566e40>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106ee06>] run_timer_softirq+0x1f6/0x2a0
 [<ffffffff814fddd0>] ? cpufreq_p4_target+0x120/0x120
 [<ffffffff81066ce0>] __do_softirq+0xd0/0x200
 [<ffffffff810b8594>] ? tick_program_event+0x24/0x30
 [<ffffffff814fddd0>] ? cpufreq_p4_target+0x120/0x120
 [<ffffffff8165ce5c>] call_softirq+0x1c/0x30
 [<ffffffff81016295>] do_softirq+0x75/0xb0
 [<ffffffff81066fa5>] irq_exit+0xb5/0xc0
 [<ffffffff8165d7de>] smp_apic_timer_interrupt+0x6e/0x99
 [<ffffffff8165c71d>] apic_timer_interrupt+0x6d/0x80
 <EOI>  [<ffffffff8138763f>] ? lapic_timer_state_broadcast+0x43/0x45
 [<ffffffff814fe7c0>] ? cpuidle_wrap_enter+0x50/0xa0
 [<ffffffff814fe7b9>] ? cpuidle_wrap_enter+0x49/0xa0
 [<ffffffff814fe820>] cpuidle_enter_tk+0x10/0x20
 [<ffffffff814fe459>] cpuidle_idle_call+0xa9/0x260
 [<ffffffff8101d41f>] cpu_idle+0xaf/0x120
 [<ffffffff81637a12>] rest_init+0x72/0x80
 [<ffffffff81d00c40>] start_kernel+0x3d1/0x3de
 [<ffffffff81d0066e>] ? repair_env_string+0x5e/0x5e
 [<ffffffff81d00356>] x86_64_start_reservations+0x131/0x135
 [<ffffffff81d0045a>] x86_64_start_kernel+0x100/0x10f
Comment 67 Michael 2013-04-22 11:37:24 EDT
Description of problem:
i have sometimes a eth0 - sometimes non eth0 ?! - when eth0 disappers and reappers - kernel ups came up.... 

Version-Release number of selected component:
kernel

Additional info:
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.8.8-202.fc18.x86_64 root=UUID=00d95c3b-156b-4ad4-8751-1c76e866c86e ro rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 vconsole.keymap=de rhgb quiet
kernel:         3.8.8-202.fc18.x86_64
runlevel:       N 5
type:           Kerneloops
ureports_counter: 1

Truncated backtrace:
WARNING: at net/sched/sch_generic.c:254 dev_watchdog+0x238/0x250()
Hardware name: 7458BF2
NETDEV WATCHDOG: eth0 (e1000e): transmit queue 0 timed out
Modules linked in: fuse ebtable_nat ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack bnep nf_conntrack bluetooth ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_conexant iTCO_wdt iTCO_vendor_support snd_hda_intel snd_hda_codec snd_hwdep coretemp snd_seq arc4 snd_seq_device snd_pcm iwldvm mac80211 snd_page_alloc iwlwifi cfg80211 snd_timer mei e1000e thinkpad_acpi lpc_ich mfd_core snd rfkill soundcore kvm uinput microcode i2c_i801 i915 i2c_algo_bit drm_kms_helper drm i2c_core wmi video
Pid: 0, comm: swapper/1 Not tainted 3.8.8-202.fc18.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff8105e675>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8101b8e3>] ? native_sched_clock+0x13/0x80
 [<ffffffff8105e756>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff8109ed91>] ? trigger_load_balance+0x61/0x220
 [<ffffffff81567078>] dev_watchdog+0x238/0x250
 [<ffffffff81566e40>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106d08a>] call_timer_fn+0x3a/0x110
 [<ffffffff81566e40>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106ee06>] run_timer_softirq+0x1f6/0x2a0
 [<ffffffff810b11d2>] ? ktime_get+0x52/0xe0
 [<ffffffff814fddd0>] ? cpufreq_p4_target+0x120/0x120
 [<ffffffff81066ce0>] __do_softirq+0xd0/0x200
 [<ffffffff810b8594>] ? tick_program_event+0x24/0x30
 [<ffffffff814fddd0>] ? cpufreq_p4_target+0x120/0x120
 [<ffffffff8165ce5c>] call_softirq+0x1c/0x30
 [<ffffffff81016295>] do_softirq+0x75/0xb0
 [<ffffffff81066fa5>] irq_exit+0xb5/0xc0
 [<ffffffff8165d7de>] smp_apic_timer_interrupt+0x6e/0x99
 [<ffffffff8165c71d>] apic_timer_interrupt+0x6d/0x80
 <EOI>  [<ffffffff8138763f>] ? lapic_timer_state_broadcast+0x43/0x45
 [<ffffffff814fe7c0>] ? cpuidle_wrap_enter+0x50/0xa0
 [<ffffffff814fe7b9>] ? cpuidle_wrap_enter+0x49/0xa0
 [<ffffffff814fe820>] cpuidle_enter_tk+0x10/0x20
 [<ffffffff814fe459>] cpuidle_idle_call+0xa9/0x260
 [<ffffffff8101d41f>] cpu_idle+0xaf/0x120
 [<ffffffff8164276a>] start_secondary+0x24f/0x251
Comment 68 painteddreaming 2013-06-04 09:22:58 EDT
Description of problem:
Hello
I was just doing some usual work like browsing the internet and chatting via skype, no installation was running. Suddenly the desktop got 'frozen', therefore I restarted the laptop manually. 
To add, if it helps: Fedora 18 is the only filesystem on the machine right now.
Thank you for the solution, good luck :)

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.4
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.4-200.fc18.i686 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 vconsole.keymap=us rd.lvm.lv=fedora/root rhgb quiet LANG=en_GB.UTF-8
kernel:         3.9.4-200.fc18.i686
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1d7/0x1e0()
Hardware name: Satellite A110
NETDEV WATCHDOG: p4p1 (r8169): transmit queue 0 timed out
Modules linked in: fuse ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT be2iscsi iscsi_boot_sysfs bnx2i nf_conntrack_ipv6 nf_defrag_ipv6 cnic iptable_nat uio cxgb4i cxgb4 cxgb3i cxgb3 nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack mdio libcxgbi ebtable_filter ebtables ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp ip6table_filter ip6_tables libiscsi scsi_transport_iscsi acpi_cpufreq arc4 iwl3945 snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm iTCO_wdt iTCO_vendor_support mperf snd_page_alloc iwlegacy snd_timer i2c_i801 of_i2c lpc_ich coretemp mac80211 cfg80211 rfkill joydev snd soundcore microcode serio_raw uinput firewire_ohci firewire_core r8169 sdhci_pci crc_itu_t sdhci i915 mmc_core i2c_algo_bit mii drm_kms_helper yenta_socket drm i2c_core video sunrpc
Pid: 0, comm: swapper/0 Not tainted 3.9.4-200.fc18.i686 #1
Call Trace:
 [<c043f999>] warn_slowpath_common+0x69/0x90
 [<c08b7987>] ? dev_watchdog+0x1d7/0x1e0
 [<c08b7987>] ? dev_watchdog+0x1d7/0x1e0
 [<c043fa63>] warn_slowpath_fmt+0x33/0x40
 [<c08b7987>] dev_watchdog+0x1d7/0x1e0
 [<c044ce7d>] call_timer_fn+0x2d/0xe0
 [<c044de1d>] ? cascade+0x5d/0x70
 [<c08b77b0>] ? dev_graft_qdisc+0x70/0x70
 [<c044e8f6>] run_timer_softirq+0x176/0x210
 [<c0993933>] ? common_interrupt+0x33/0x38
 [<c08b77b0>] ? dev_graft_qdisc+0x70/0x70
 [<c04479fb>] __do_softirq+0xbb/0x1e0
 [<c0447c85>] irq_exit+0x95/0xa0
 [<c042592e>] smp_apic_timer_interrupt+0x5e/0x90
 [<c098c8d0>] apic_timer_interrupt+0x34/0x3c
 [<c048007b>] ? print_cfs_rq+0x50b/0x1ab0
 [<c085b82b>] ? cpuidle_wrap_enter+0x3b/0x90
 [<c085b892>] cpuidle_enter_tk+0x12/0x20
 [<c085b000>] ? speedstep_cpu_init+0x2c0/0x2c0
 [<c085b4f1>] cpuidle_enter_state+0x11/0x50
 [<c085b5b2>] cpuidle_idle_call+0x82/0x170
 [<c040a9da>] cpu_idle+0xaa/0xe0
 [<c0974e6d>] rest_init+0x5d/0x60
 [<c0c4ea7e>] start_kernel+0x377/0x37d
 [<c0c4e53c>] ? repair_env_string+0x51/0x51
 [<c0c4e377>] i386_start_kernel+0x12d/0x130
Comment 69 beighes 2013-06-04 11:50:30 EDT
Description of problem:
The issue has appeared shortly after boot & while online.  Most recently, while online.  I cannot reproduce the issue.  It is random.  I did a clean install of F18 when it was available.  At the last kernel update, the issue started.  I reinstalled, thinking I did something incorrectly.  The current kernel is the same as had I previously updated to.  Thanks!!!

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.4
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.4-200.fc18.i686 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 vconsole.keymap=us rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.9.4-200.fc18.i686
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1d7/0x1e0()
Hardware name: Latitude D600                   
NETDEV WATCHDOG: em1 (tg3): transmit queue 0 timed out
Modules linked in: fuse ebtable_nat nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 bnep bluetooth iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_intel8x0 snd_intel8x0m snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm acpi_cpufreq mperf snd_page_alloc arc4 snd_timer b43 bcma mac80211 cfg80211 snd soundcore dell_laptop rfkill gpio_ich iTCO_wdt microcode iTCO_vendor_support ppdev dcdbas lpc_ich ssb tg3 mmc_core ptp pps_core parport_pc parport uinput radeon i2c_algo_bit drm_kms_helper ttm drm yenta_socket i2c_core video
Pid: 0, comm: swapper/0 Not tainted 3.9.4-200.fc18.i686 #1
Call Trace:
 [<c043f999>] warn_slowpath_common+0x69/0x90
 [<c08b7987>] ? dev_watchdog+0x1d7/0x1e0
 [<c08b7987>] ? dev_watchdog+0x1d7/0x1e0
 [<c043fa63>] warn_slowpath_fmt+0x33/0x40
 [<c08b7987>] dev_watchdog+0x1d7/0x1e0
 [<c044ce7d>] call_timer_fn+0x2d/0xe0
 [<c048e34f>] ? do_timer+0x23f/0xa10
 [<c08b77b0>] ? dev_graft_qdisc+0x70/0x70
 [<c044e8f6>] run_timer_softirq+0x176/0x210
 [<c08b77b0>] ? dev_graft_qdisc+0x70/0x70
 [<c04479fb>] __do_softirq+0xbb/0x1e0
 [<c04950da>] ? tick_do_update_jiffies64+0xca/0x130
 [<c0447c85>] irq_exit+0x95/0xa0
 [<c0404c2b>] do_IRQ+0x4b/0xc0
 [<c070ec5c>] ? lapic_timer_state_broadcast+0x33/0x36
 [<c0993933>] common_interrupt+0x33/0x38
 [<c048007b>] ? print_cfs_rq+0x50b/0x1ab0
 [<c085b82b>] ? cpuidle_wrap_enter+0x3b/0x90
 [<c085b892>] cpuidle_enter_tk+0x12/0x20
 [<c085b000>] ? speedstep_cpu_init+0x2c0/0x2c0
 [<c085b4f1>] cpuidle_enter_state+0x11/0x50
 [<c085b5b2>] cpuidle_idle_call+0x82/0x170
 [<c040a9da>] cpu_idle+0xaa/0xe0
 [<c0974e6d>] rest_init+0x5d/0x60
 [<c0c4ea7e>] start_kernel+0x377/0x37d
 [<c0c4e53c>] ? repair_env_string+0x51/0x51
 [<c0c4e377>] i386_start_kernel+0x12d/0x130
Comment 70 Retlaw Dlawso 2013-06-08 10:32:57 EDT
Description of problem:
restart after hibernate

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.4
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.4-200.fc18.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap nomodeset rd.md=0 rd.dm=0 vconsole.keymap=sg rd.luks=0 rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x238/0x250()
Hardware name: To Be Filled By O.E.M.
NETDEV WATCHDOG: em1 (via-rhine): transmit queue 0 timed out
Modules linked in: fuse ebtable_nat ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat bluetooth rfkill iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_realtek snd_hda_codec_hdmi via_rhine mperf coretemp shpchp ppdev parport_pc parport i2c_viapro snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd soundcore mii microcode vhost_net tun macvtap macvlan kvm_intel kvm uinput ata_generic pata_acpi nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm sata_via i2c_core pata_via
Pid: 673, comm: Xorg Not tainted 3.9.4-200.fc18.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff8105f125>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105f206>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff815730c8>] dev_watchdog+0x238/0x250
 [<ffffffff81572e90>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106dbca>] call_timer_fn+0x3a/0x110
 [<ffffffff81572e90>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106f946>] run_timer_softirq+0x1f6/0x2a0
 [<ffffffff810677d0>] __do_softirq+0xe0/0x220
 [<ffffffff81067a95>] irq_exit+0xa5/0xb0
 [<ffffffff8166bc8e>] smp_apic_timer_interrupt+0x6e/0x99
 [<ffffffff8166ab5d>] apic_timer_interrupt+0x6d/0x80
 <EOI>
Comment 71 beighes 2013-06-10 15:07:53 EDT
Description of problem:
Booted up laptop (aging Dell D600)
opened Chromium browser & system locked up.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.4
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.4-200.fc18.i686 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 vconsole.keymap=us rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.9.4-200.fc18.i686
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1d7/0x1e0()
Hardware name: Latitude D600                   
NETDEV WATCHDOG: em1 (tg3): transmit queue 0 timed out
Modules linked in: fuse ebtable_nat nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 bnep bluetooth iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi arc4 b43 bcma snd_intel8x0 snd_ac97_codec ac97_bus acpi_cpufreq mperf mac80211 snd_seq cfg80211 snd_seq_device snd_pcm rfkill gpio_ich iTCO_wdt iTCO_vendor_support ppdev dell_laptop snd_page_alloc snd_timer dcdbas tg3 microcode snd soundcore ptp ssb pps_core mmc_core lpc_ich parport_pc parport uinput radeon i2c_algo_bit drm_kms_helper ttm drm yenta_socket i2c_core video
Pid: 0, comm: swapper/0 Not tainted 3.9.4-200.fc18.i686 #1
Call Trace:
 [<c043f999>] warn_slowpath_common+0x69/0x90
 [<c08b7987>] ? dev_watchdog+0x1d7/0x1e0
 [<c08b7987>] ? dev_watchdog+0x1d7/0x1e0
 [<c043fa63>] warn_slowpath_fmt+0x33/0x40
 [<c08b7987>] dev_watchdog+0x1d7/0x1e0
 [<c044ce7d>] call_timer_fn+0x2d/0xe0
 [<c048e34f>] ? do_timer+0x23f/0xa10
 [<c08b77b0>] ? dev_graft_qdisc+0x70/0x70
 [<c044e8f6>] run_timer_softirq+0x176/0x210
 [<c08b77b0>] ? dev_graft_qdisc+0x70/0x70
 [<c04479fb>] __do_softirq+0xbb/0x1e0
 [<c04950da>] ? tick_do_update_jiffies64+0xca/0x130
 [<c0447c85>] irq_exit+0x95/0xa0
 [<c0404c2b>] do_IRQ+0x4b/0xc0
 [<c049379f>] ? clockevents_notify+0x3f/0xf0
 [<c0993933>] common_interrupt+0x33/0x38
 [<c048007b>] ? print_cfs_rq+0x50b/0x1ab0
 [<c085b82b>] ? cpuidle_wrap_enter+0x3b/0x90
 [<c085b892>] cpuidle_enter_tk+0x12/0x20
 [<c085b000>] ? speedstep_cpu_init+0x2c0/0x2c0
 [<c085b4f1>] cpuidle_enter_state+0x11/0x50
 [<c085b5b2>] cpuidle_idle_call+0x82/0x170
 [<c040a9da>] cpu_idle+0xaa/0xe0
 [<c0974e6d>] rest_init+0x5d/0x60
 [<c0c4ea7e>] start_kernel+0x377/0x37d
 [<c0c4e53c>] ? repair_env_string+0x51/0x51
 [<c0c4e377>] i386_start_kernel+0x12d/0x130
Comment 72 Vladimir 2013-06-13 09:02:19 EDT
Description of problem:
I don't know

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.4
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.9.4-200.fc18.i686.PAE root=UUID=7e8eb09b-7d9d-4ef2-aac7-767d51bd9928 ro rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 vconsole.keymap=us rhgb quiet LANG=en_US.UTF-8
kernel:         3.9.4-200.fc18.i686.PAE
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1d7/0x1e0()
Hardware name: 20060                           
NETDEV WATCHDOG: p2p1 (r8169): transmit queue 0 timed out
Modules linked in: vfat fat usb_storage tun fuse ebtable_nat ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables rfcomm bnep be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi arc4 iwldvm mac80211 iwlwifi uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev iTCO_wdt snd_hda_codec_hdmi iTCO_vendor_support btusb acpi_cpufreq mperf coretemp bluetooth media snd_hda_codec_conexant ideapad_laptop snd_hda_intel r8169 snd_hda_codec cfg80211 snd_hwdep sparse_keymap rfkill microcode mii snd_seq i2c_i801 lpc_ich mei mfd_core snd_seq_device snd_pcm snd_page_alloc intel_ips snd_timer snd soundcore kvm binfmt_misc uinput nouveau mxm_wmi i2c_algo_bit drm_kms_helper ttm crc32c_intel drm i2c_core wmi video
Pid: 0, comm: swapper/3 Not tainted 3.9.4-200.fc18.i686.PAE #1
Call Trace:
 [<c044e969>] warn_slowpath_common+0x69/0x90
 [<c08d3ac7>] ? dev_watchdog+0x1d7/0x1e0
 [<c08d3ac7>] ? dev_watchdog+0x1d7/0x1e0
 [<c044ea33>] warn_slowpath_fmt+0x33/0x40
 [<c08d3ac7>] dev_watchdog+0x1d7/0x1e0
 [<c045c4bd>] call_timer_fn+0x2d/0xe0
 [<c045d45d>] ? cascade+0x5d/0x70
 [<c08d38f0>] ? dev_graft_qdisc+0x70/0x70
 [<c045df36>] run_timer_softirq+0x176/0x210
 [<c04a2fbd>] ? clockevents_program_event+0x9d/0x140
 [<c08d38f0>] ? dev_graft_qdisc+0x70/0x70
 [<c04569cb>] __do_softirq+0xbb/0x1e0
 [<c0456c55>] irq_exit+0x95/0xa0
 [<c0434c2e>] smp_apic_timer_interrupt+0x5e/0x90
 [<c09a9c10>] apic_timer_interrupt+0x34/0x3c
 [<c049007b>] ? print_cfs_rq+0xecb/0x1ab0
 [<c087b4fd>] ? cpuidle_wrap_enter+0x3d/0x90
 [<c087b562>] cpuidle_enter_tk+0x12/0x20
 [<c087acd0>] ? speedstep_cpu_init+0x2c0/0x2c0
 [<c087b1c1>] cpuidle_enter_state+0x11/0x50
 [<c087b282>] cpuidle_idle_call+0x82/0x170
 [<c0419cba>] cpu_idle+0xaa/0xe0
 [<c099ac01>] start_secondary+0x262/0x267
Comment 73 Georg Wittig 2013-06-14 15:42:48 EDT
Description of problem:
1. hibernated F18
2. booted Windows 7
3. shutdown Windows 7
4. resumed F18

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.4
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.5-201.fc18.x86_64 LANG=en_US.UTF-8 consoleblank=0 elevator=deadline intel_iommu=on ipv6.disable=1 libahci.ignore_sss=1 nmi_watchdog=0 parport=0 quiet raid=noautodetect rd.dm=0 rd.luks=0 rd.lvm=0 rd.md=0 ro resume=/dev/sda8 root=LABEL=sda7 rootflags=data=writeback rootfstype=ext4 usbcore.autosuspend=1
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x238/0x250()
Hardware name: Inspiron 660
NETDEV WATCHDOG: p5p1 (r8169): transmit queue 0 timed out
Modules linked in: rndis_wlan rndis_host cdc_ether usbnet ip6_tables ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat_ipv4 nf_nat xt_CHECKSUM iptable_mangle bridge stp llc i8k nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack dm_crypt arc4 ath9k ath9k_common ath9k_hw ath mac80211 cfg80211 rfkill vhost_net tun macvtap macvlan acpi_cpufreq mperf coretemp kvm_intel usblp kvm snd_hda_codec_hdmi snd_hda_codec_conexant uss720 parport iTCO_wdt iTCO_vendor_support dcdbas microcode serio_raw r8169 snd_hda_intel mii snd_hda_codec snd_seq snd_hwdep snd_seq_device snd_pcm snd_page_alloc snd_timer lpc_ich mfd_core i2c_i801 snd soundcore mei binfmt_misc ums_realtek usb_storage hid_logitech_dj crc32_pclmul nouveau crc32c_intel i915 mxm_wmi wmi ghash_clmulni_intel i2c_algo_bit ttm drm_kms_helper drm i2c_core video
Pid: 11265, comm: kworker/0:2 Not tainted 3.9.5-201.fc18.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff8105ef85>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105f066>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff81573448>] dev_watchdog+0x238/0x250
 [<ffffffff81573210>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106da2a>] call_timer_fn+0x3a/0x110
 [<ffffffff81573210>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106f7a6>] run_timer_softirq+0x1f6/0x2a0
 [<ffffffff81067630>] __do_softirq+0xe0/0x220
 [<ffffffff810678f5>] irq_exit+0xa5/0xb0
 [<ffffffff8166c00e>] smp_apic_timer_interrupt+0x6e/0x99
 [<ffffffff8166aedd>] apic_timer_interrupt+0x6d/0x80
 <EOI>  [<ffffffffa035ad70>] ? rtl_slow_event_work+0x30/0x1f0 [r8169]
 [<ffffffffa0357a6b>] rtl_task+0x8b/0x90 [r8169]
 [<ffffffff8107b613>] process_one_work+0x173/0x3c0
 [<ffffffff8107cf3f>] worker_thread+0x10f/0x390
 [<ffffffff8107ce30>] ? busy_worker_rebind_fn+0xb0/0xb0
 [<ffffffff81082ae0>] kthread+0xc0/0xd0
 [<ffffffff81010000>] ? ftrace_define_fields_xen_mc_flush+0x20/0xb0
 [<ffffffff81082a20>] ? kthread_create_on_node+0x120/0x120
 [<ffffffff8166a22c>] ret_from_fork+0x7c/0xb0
 [<ffffffff81082a20>] ? kthread_create_on_node+0x120/0x120
Comment 74 Retlaw Dlawso 2013-06-16 14:33:24 EDT
Description of problem:
restart after hibernate

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.4
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.5-201.fc18.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap nomodeset rd.md=0 rd.dm=0 vconsole.keymap=sg rd.luks=0 rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x238/0x250()
Hardware name: To Be Filled By O.E.M.
NETDEV WATCHDOG: em1 (via-rhine): transmit queue 0 timed out
Modules linked in: fuse ebtable_nat bnep bluetooth rfkill ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_realtek snd_hda_codec_hdmi shpchp via_rhine mperf coretemp snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd soundcore ppdev parport_pc parport microcode i2c_viapro mii vhost_net tun macvtap macvlan kvm_intel kvm uinput ata_generic pata_acpi nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm pata_via sata_via i2c_core
Pid: 0, comm: swapper/1 Not tainted 3.9.5-201.fc18.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff8105ef85>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105f066>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff814744a0>] ? usb_hcd_poll_rh_status+0x170/0x170
 [<ffffffff81573448>] dev_watchdog+0x238/0x250
 [<ffffffff81573210>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106da2a>] call_timer_fn+0x3a/0x110
 [<ffffffff81573210>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106f7a6>] run_timer_softirq+0x1f6/0x2a0
 [<ffffffff81067630>] __do_softirq+0xe0/0x220
 [<ffffffff810678f5>] irq_exit+0xa5/0xb0
 [<ffffffff8166c00e>] smp_apic_timer_interrupt+0x6e/0x99
 [<ffffffff8166aedd>] apic_timer_interrupt+0x6d/0x80
 <EOI>  [<ffffffff810f76dd>] ? rcu_idle_exit+0x6d/0xc0
 [<ffffffff8101d138>] cpu_idle+0xb8/0x120
 [<ffffffff816510a1>] start_secondary+0x24f/0x251
Comment 75 oxx2k-bugzilla 2013-06-27 12:25:00 EDT
Description of problem:
I don't know

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.4
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.6-200.fc18.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 vconsole.keymap=es rd.luks=0 rd.lvm.lv=fedora/root rhgb quiet LANG=es_ES.utf8
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x238/0x250()
Hardware name: Aspire 2920                    
NETDEV WATCHDOG: eth0 (ipheth): transmit queue 0 timed out
Modules linked in: ipheth vfat fat fuse ebtable_nat nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE bnep bluetooth ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi acer_wmi uvcvideo sparse_keymap iTCO_wdt iTCO_vendor_support snd_hda_codec_realtek snd_hda_intel videobuf2_vmalloc mperf coretemp videobuf2_memops videobuf2_core arc4 iwl3945 snd_hda_codec snd_hwdep videodev snd_seq media iwlegacy snd_seq_device mac80211 snd_pcm snd_page_alloc snd_timer cfg80211 snd soundcore rfkill microcode joydev serio_raw i2c_i801 lpc_ich mfd_core vhost_net tun macvtap macvlan kvm_intel binfmt_misc kvm uinput ums_realtek i915 usb_storage tg3 i2c_algo_bit ptp drm_kms_helper pps_core drm i2c_core wmi video sunrpc
Pid: 0, comm: swapper/0 Not tainted 3.9.6-200.fc18.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff8105ef85>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105f066>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff81573738>] dev_watchdog+0x238/0x250
 [<ffffffff81573500>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106da3a>] call_timer_fn+0x3a/0x110
 [<ffffffff81573500>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106f7b6>] run_timer_softirq+0x1f6/0x2a0
 [<ffffffff81508420>] ? cpufreq_frequency_table_update_policy_cpu+0x80/0x80
 [<ffffffff81067638>] __do_softirq+0xe8/0x230
 [<ffffffff81508420>] ? cpufreq_frequency_table_update_policy_cpu+0x80/0x80
 [<ffffffff81067905>] irq_exit+0xa5/0xb0
 [<ffffffff8166c30e>] smp_apic_timer_interrupt+0x6e/0x99
 [<ffffffff8166b1dd>] apic_timer_interrupt+0x6d/0x80
 <EOI>  [<ffffffff810b1832>] ? ktime_get+0x52/0xe0
 [<ffffffff81044136>] ? native_safe_halt+0x6/0x10
 [<ffffffff81391ce5>] arch_safe_halt+0x9/0xd
 [<ffffffff813923f9>] acpi_safe_halt+0x2a/0x43
 [<ffffffff8139242d>] acpi_idle_do_entry+0x1b/0x2b
 [<ffffffff8139248f>] acpi_idle_enter_c1+0x52/0x72
 [<ffffffff81508439>] cpuidle_enter+0x19/0x20
 [<ffffffff81508d71>] cpuidle_wrap_enter+0x41/0xa0
 [<ffffffff81508de0>] cpuidle_enter_tk+0x10/0x20
 [<ffffffff81508aa5>] cpuidle_idle_call+0xa5/0x1d0
 [<ffffffff8101d12f>] cpu_idle+0xaf/0x120
 [<ffffffff81646962>] rest_init+0x72/0x80
 [<ffffffff81d03ed6>] start_kernel+0x3f2/0x3ff
 [<ffffffff81d038e3>] ? repair_env_string+0x5e/0x5e
 [<ffffffff81d035dc>] x86_64_start_reservations+0x2a/0x2c
 [<ffffffff81d036cf>] x86_64_start_kernel+0xf1/0x100
Comment 76 Tobias Schöls 2013-07-18 14:19:27 EDT
Description of problem:
Normal usage:
- evolution
- gnome 3
- ssh
- gnome-terminal
- chromium
- battery charging
- tethering threw iPhone

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.5
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.9-201.fc18.x86_64 root=UUID=27c9401a-26bc-4fd6-9f9c-b96a8e3ba185 ro rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 vconsole.keymap=de rhgb quiet pcie_aspm=force i915.i915_enable_fbc=0 i915.lvds_downclock=1 slub_debug=- allow-discards root_trim=yes
kernel:         3.9.9-201.fc18.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x238/0x250()
Hardware name: 4290W1A
NETDEV WATCHDOG: eth0 (ipheth): transmit queue 0 timed out
Modules linked in: fuse ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep dm_crypt ipheth iTCO_wdt iTCO_vendor_support vfat fat snd_hda_codec_hdmi snd_hda_codec_conexant acpi_cpufreq mperf snd_hda_intel coretemp snd_hda_codec snd_hwdep microcode snd_seq snd_seq_device uvcvideo joydev arc4 videobuf2_vmalloc videobuf2_memops videobuf2_core videodev i2c_i801 media iwldvm btusb mac80211 bluetooth iwlwifi lpc_ich mfd_core cfg80211 snd_pcm snd_page_alloc mei snd_timer thinkpad_acpi snd soundcore tpm_tis rfkill tpm tpm_bios vhost_net tun macvtap macvlan kvm_intel kvm uinput i915 crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper ghash_clmulni_intel sdhci_pci e1000e sdhci drm mmc_core ptp pps_core i2c_core wmi video sunrpc
Pid: 2774, comm: gdbus Not tainted 3.9.9-201.fc18.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff8105efc5>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105f0a6>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff81573e08>] dev_watchdog+0x238/0x250
 [<ffffffff81573bd0>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106da7a>] call_timer_fn+0x3a/0x110
 [<ffffffff81573bd0>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106f7f6>] run_timer_softirq+0x1f6/0x2a0
 [<ffffffff81067678>] __do_softirq+0xe8/0x230
 [<ffffffff81067945>] irq_exit+0xa5/0xb0
 [<ffffffff8166cd0e>] smp_apic_timer_interrupt+0x6e/0x99
 [<ffffffff8166bbdd>] apic_timer_interrupt+0x6d/0x80
 <EOI>  [<ffffffff816625e1>] ? _raw_spin_unlock_irqrestore+0x11/0x20
 [<ffffffff8108ea1e>] __wake_up_sync_key+0x5e/0x80
 [<ffffffff81540c4e>] sock_def_readable+0x3e/0x70
 [<ffffffff815f62eb>] unix_stream_sendmsg+0x21b/0x430
 [<ffffffff8153aa30>] sock_sendmsg+0xb0/0xe0
 [<ffffffff8153c511>] ? sock_recvmsg+0xc1/0xf0
 [<ffffffff8109a539>] ? update_cfs_shares+0xb9/0x120
 [<ffffffff8153c43c>] ___sys_sendmsg+0x3ac/0x3c0
 [<ffffffff8118761f>] ? kmem_cache_alloc_trace+0x1cf/0x220
 [<ffffffff812a618a>] ? selinux_file_alloc_security+0x4a/0x80
 [<ffffffff812a618a>] ? selinux_file_alloc_security+0x4a/0x80
 [<ffffffff812a618a>] ? selinux_file_alloc_security+0x4a/0x80
 [<ffffffff811a1a50>] ? get_empty_filp+0x90/0x1b0
 [<ffffffff811e8df8>] ? eventfd_ctx_read+0x58/0x190
 [<ffffffff8153e409>] __sys_sendmsg+0x49/0x90
 [<ffffffff8153e462>] sys_sendmsg+0x12/0x20
 [<ffffffff8166afd9>] system_call_fastpath+0x16/0x1b
Comment 77 Tobias Schöls 2013-07-18 14:25:52 EDT
Description of problem:
Screen suddenly hung. May be caused rc6 enabled, I had that problem before though. It was the first time it happend with this kernel.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.5
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.9-201.fc18.x86_64 root=UUID=27c9401a-26bc-4fd6-9f9c-b96a8e3ba185 ro rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 vconsole.keymap=de rhgb quiet pcie_aspm=force i915.i915_enable_fbc=1 i915.lvds_downclock=1 slub_debug=- allow-discards root_trim=yes
kernel:         3.9.9-201.fc18.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x238/0x250()
Hardware name: 4290W1A
NETDEV WATCHDOG: eth0 (ipheth): transmit queue 0 timed out
Modules linked in: ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast fuse ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep ipheth dm_crypt btusb bluetooth iTCO_wdt iTCO_vendor_support vfat fat uvcvideo snd_hda_codec_hdmi snd_hda_codec_conexant videobuf2_vmalloc videobuf2_memops videobuf2_core snd_hda_intel snd_hda_codec snd_hwdep snd_seq videodev media snd_seq_device acpi_cpufreq mperf coretemp arc4 microcode iwldvm mac80211 iwlwifi snd_pcm joydev cfg80211 i2c_i801 lpc_ich snd_page_alloc mfd_core thinkpad_acpi snd_timer mei snd soundcore tpm_tis rfkill tpm tpm_bios vhost_net tun macvtap macvlan kvm_intel kvm uinput i915 crc32_pclmul crc32c_intel ghash_clmulni_intel sdhci_pci i2c_algo_bit sdhci e1000e drm_kms_helper mmc_core drm ptp pps_core i2c_core wmi video sunrpc
Pid: 3320, comm: pool Not tainted 3.9.9-201.fc18.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff8105efc5>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105f0a6>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff81573e08>] dev_watchdog+0x238/0x250
 [<ffffffff81573bd0>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106da7a>] call_timer_fn+0x3a/0x110
 [<ffffffff81573bd0>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106f7f6>] run_timer_softirq+0x1f6/0x2a0
 [<ffffffff81067678>] __do_softirq+0xe8/0x230
 [<ffffffff81067945>] irq_exit+0xa5/0xb0
 [<ffffffff8166cd0e>] smp_apic_timer_interrupt+0x6e/0x99
 [<ffffffff8166bbdd>] apic_timer_interrupt+0x6d/0x80
 <EOI>  [<ffffffff8166b100>] ? sysret_audit+0x17/0x21
Comment 78 Bryan Kearney 2013-07-24 07:41:05 EDT
Description of problem:
Using iPhone 4s as a hotspot, running vpn. Had mail, irc, and browser open.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.4
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.6-200.fc18.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 vconsole.keymap=us rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.9.6-200.fc18.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x238/0x250()
Hardware name: 4243B37
NETDEV WATCHDOG: eth0 (ipheth): transmit queue 0 timed out
Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi rfcomm scsi_transport_iscsi bnep snd_hda_codec_hdmi snd_hda_codec_conexant arc4 iwldvm mac80211 ipheth snd_hda_intel snd_hda_codec snd_hwdep acpi_cpufreq mperf snd_seq iTCO_wdt iTCO_vendor_support iwlwifi coretemp snd_seq_device joydev uvcvideo thinkpad_acpi videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media microcode btusb snd_pcm snd_page_alloc snd_timer bluetooth cfg80211 snd soundcore tpm_tis rfkill tpm tpm_bios lpc_ich mei mfd_core i2c_i801 vhost_net tun macvtap macvlan kvm_intel kvm uinput binfmt_misc crc32_pclmul crc32c_intel ghash_clmulni_intel i915 firewire_ohci sdhci_pci firewire_core e1000e sdhci i2c_algo_bit drm_kms_helper crc_itu_t mmc_core drm ptp pps_core i2c_core wmi video sunrpc
Pid: 0, comm: swapper/0 Not tainted 3.9.6-200.fc18.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff8105ef85>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105f066>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff81096395>] ? sched_clock_cpu+0xc5/0x120
 [<ffffffff81573738>] dev_watchdog+0x238/0x250
 [<ffffffff81573500>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106da3a>] call_timer_fn+0x3a/0x110
 [<ffffffff81573500>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106f7b6>] run_timer_softirq+0x1f6/0x2a0
 [<ffffffff81508420>] ? cpufreq_frequency_table_update_policy_cpu+0x80/0x80
 [<ffffffff81067638>] __do_softirq+0xe8/0x230
 [<ffffffff81508420>] ? cpufreq_frequency_table_update_policy_cpu+0x80/0x80
 [<ffffffff81067905>] irq_exit+0xa5/0xb0
 [<ffffffff8166c30e>] smp_apic_timer_interrupt+0x6e/0x99
 [<ffffffff8166b1dd>] apic_timer_interrupt+0x6d/0x80
 <EOI>  [<ffffffff81508d80>] ? cpuidle_wrap_enter+0x50/0xa0
 [<ffffffff81508d79>] ? cpuidle_wrap_enter+0x49/0xa0
 [<ffffffff81508de0>] cpuidle_enter_tk+0x10/0x20
 [<ffffffff81508aa5>] cpuidle_idle_call+0xa5/0x1d0
 [<ffffffff8101d12f>] cpu_idle+0xaf/0x120
 [<ffffffff81646962>] rest_init+0x72/0x80
 [<ffffffff81d03ed6>] start_kernel+0x3f2/0x3ff
 [<ffffffff81d038e3>] ? repair_env_string+0x5e/0x5e
 [<ffffffff81d035dc>] x86_64_start_reservations+0x2a/0x2c
 [<ffffffff81d036cf>] x86_64_start_kernel+0xf1/0x100
Comment 79 Bryan Kearney 2013-07-25 15:48:11 EDT
Description of problem:
Running chrome, machine froze up. Connected to an iphone hotspot.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.4
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.6-200.fc18.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 vconsole.keymap=us rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x238/0x250()
Hardware name: 4243B37
NETDEV WATCHDOG: eth0 (ipheth): transmit queue 0 timed out
Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep ipheth uvcvideo snd_hda_codec_hdmi videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media snd_hda_codec_conexant iTCO_wdt iTCO_vendor_support acpi_cpufreq snd_hda_intel snd_hda_codec arc4 iwldvm mac80211 mperf coretemp snd_hwdep btusb iwlwifi thinkpad_acpi snd_seq snd_seq_device snd_pcm microcode joydev bluetooth snd_page_alloc cfg80211 snd_timer snd tpm_tis soundcore rfkill tpm tpm_bios mei lpc_ich i2c_i801 mfd_core vhost_net tun macvtap macvlan kvm_intel kvm binfmt_misc uinput crc32_pclmul crc32c_intel i915 ghash_clmulni_intel firewire_ohci i2c_algo_bit sdhci_pci drm_kms_helper sdhci e1000e mmc_core firewire_core drm crc_itu_t ptp pps_core i2c_core wmi video sunrpc
Pid: 0, comm: swapper/2 Not tainted 3.9.6-200.fc18.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff8105ef85>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105f066>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff81573738>] dev_watchdog+0x238/0x250
 [<ffffffff81573500>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106da3a>] call_timer_fn+0x3a/0x110
 [<ffffffff81573500>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106f7b6>] run_timer_softirq+0x1f6/0x2a0
 [<ffffffff81508420>] ? cpufreq_frequency_table_update_policy_cpu+0x80/0x80
 [<ffffffff81067638>] __do_softirq+0xe8/0x230
 [<ffffffff81508420>] ? cpufreq_frequency_table_update_policy_cpu+0x80/0x80
 [<ffffffff81067905>] irq_exit+0xa5/0xb0
 [<ffffffff8166c30e>] smp_apic_timer_interrupt+0x6e/0x99
 [<ffffffff8166b1dd>] apic_timer_interrupt+0x6d/0x80
 <EOI>  [<ffffffff81508d80>] ? cpuidle_wrap_enter+0x50/0xa0
 [<ffffffff81508d79>] ? cpuidle_wrap_enter+0x49/0xa0
 [<ffffffff81508de0>] cpuidle_enter_tk+0x10/0x20
 [<ffffffff81508aa5>] cpuidle_idle_call+0xa5/0x1d0
 [<ffffffff8101d12f>] cpu_idle+0xaf/0x120
 [<ffffffff81651396>] start_secondary+0x24f/0x251
Comment 80 Constantin 2013-08-05 05:33:44 EDT
Description of problem:
Wake up after sleep.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.5
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.9.11-200.fc18.x86_64 root=UUID=05720481-d4b7-4cfb-b1e1-c2259346abaf ro rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 vconsole.keymap=us rhgb quiet LANG=en_US.UTF-8
kernel:         3.9.11-200.fc18.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x238/0x250()
Hardware name: 2306CTO
NETDEV WATCHDOG: eth0 (ipheth): transmit queue 0 timed out
Modules linked in: ipheth tcp_lp fuse ebtable_nat xt_CHECKSUM bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep xfs libcrc32c snd_hda_codec_hdmi snd_hda_codec_realtek iTCO_wdt iTCO_vendor_support arc4 iwldvm uvcvideo mac80211 videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media acpi_cpufreq joydev btusb mperf bluetooth coretemp snd_hda_intel snd_hda_codec snd_hwdep microcode snd_seq snd_seq_device iwlwifi snd_pcm cfg80211 snd_page_alloc i2c_i801 snd_timer lpc_ich mfd_core e1000e ptp mei pps_core thinkpad_acpi snd soundcore rfkill vhost_net tun macvtap macvlan kvm_intel kvm binfmt_misc uinput i915 crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper drm sdhci_pci sdhci ghash_clmulni_intel mmc_core i2c_core wmi video
Pid: 0, comm: swapper/3 Not tainted 3.9.11-200.fc18.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff8105efc5>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105f0a6>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff815711d8>] dev_watchdog+0x238/0x250
 [<ffffffff81570fa0>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106da0a>] call_timer_fn+0x3a/0x110
 [<ffffffff81570fa0>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106f786>] run_timer_softirq+0x1f6/0x2a0
 [<ffffffff81505dc0>] ? cpufreq_frequency_table_update_policy_cpu+0x80/0x80
 [<ffffffff81067678>] __do_softirq+0xe8/0x230
 [<ffffffff81505dc0>] ? cpufreq_frequency_table_update_policy_cpu+0x80/0x80
 [<ffffffff81067945>] irq_exit+0xa5/0xb0
 [<ffffffff81669cce>] smp_apic_timer_interrupt+0x6e/0x99
 [<ffffffff81668b9d>] apic_timer_interrupt+0x6d/0x80
 <EOI>  [<ffffffff81506723>] ? cpuidle_wrap_enter+0x53/0xa0
 [<ffffffff81506719>] ? cpuidle_wrap_enter+0x49/0xa0
 [<ffffffff81506780>] cpuidle_enter_tk+0x10/0x20
 [<ffffffff81506445>] cpuidle_idle_call+0xa5/0x1d0
 [<ffffffff8101d12f>] cpu_idle+0xaf/0x120
 [<ffffffff8164f156>] start_secondary+0x24f/0x251
Comment 81 Adam Baxter 2014-04-20 02:12:49 EDT
This also occurs on F20 with 3.13.10-200.fc20.x86_64 on VirtualBox.
Comment 82 Marcel Wysocki 2015-07-08 05:56:34 EDT
I'm on F22 haven't seen this in a long time.
Comment 83 ilmostro7 2015-11-15 01:44:07 EST
I'm seeing this on a daily basis on a RHEL7.2 system with a public-facing intel NIC; seeing that it's related to e1000e, I'm not sure why wifi issues were listed as potential causes for this issue early on in this report.  I've switched to Fedora22 for the moment to observe if the same behavior will trigger this crash.  For the time being, here's the stacktrace from the RHEL7.2 side of things:

~~~
[21480.838042] ------------[ cut here ]------------
[21480.838075] WARNING: at net/sched/sch_generic.c:259 dev_watchdog+0x270/0x280()
[21480.838082] NETDEV WATCHDOG: enp0s25 (e1000e): transmit queue 0 timed out
[21480.838088] Modules linked in: hidp btrfs raid6_pq xor vfat msdos fat rfcomm fuse cmac rmd160 crypto_null ip_vti ip_tunnel af_key ah6 ah4 esp6 esp4 xfrm4_mode_beet xfrm4_tunnel tunnel4 xfrm4_mode_tunnel xfrm4_mode_transport xfrm6_mode_transport xfrm6_mode_ro xfrm6_mode_beet xfrm6_mode_tunnel ipcomp ipcomp6 xfrm6_tunnel tunnel6 xfrm_ipcomp sha1_ssse3 salsa20_x86_64 xt_set xt_multiport camellia_generic camellia_aesni_avx_x86_64 camellia_x86_64 ip_set_hash_ip ip_set nfnetlink cast6_avx_x86_64 cast6_generic cast5_avx_x86_64 cast5_generic cast_common deflate zlib_deflate cts gcm serpent_avx_x86_64 serpent_sse2_x86_64 serpent_generic blowfish_generic blowfish_x86_64 blowfish_common twofish_generic twofish_avx_x86_64 twofish_x86_64_3way xts twofish_x86_64 twofish_common xcbc xt_CHECKSUM sha256_ssse3 sha512_ssse3
[21480.838162]  sha512_generic des_generic tun tpm_rng timeriomem_rng ccm ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ftp ip6t_rpfilter ip6t_REJECT ipt_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw iptable_filter bnep dm_crypt drbg ansi_cprng snd_hda_codec_hdmi ext4 mbcache jbd2 intel_powerclamp coretemp iTCO_wdt iTCO_vendor_support intel_rapl kvm_intel snd_hda_codec_conexant kvm snd_hda_codec_generic crc32_pclmul crc32c_intel arc4 ghash_clmulni_intel iwldvm
[21480.838200]  aesni_intel lrw mac80211 gf128mul glue_helper ablk_helper cryptd snd_hda_intel snd_hda_controller iwlwifi uvcvideo snd_hda_codec btusb pcspkr videobuf2_vmalloc snd_hwdep videobuf2_memops bluetooth videobuf2_core sg videodev snd_seq snd_seq_device cfg80211 sdhci_pci snd_pcm sdhci mmc_core thinkpad_acpi mei_me lpc_ich snd_timer i2c_i801 mei mfd_core snd soundcore rfkill shpchp sch_fq_codel binfmt_misc nfsd nfs_acl lockd auth_rpcgss sunrpc ip_tables xfs libcrc32c sd_mod crc_t10dif crct10dif_generic nvidia(POF) ahci libahci libata drm crct10dif_pclmul firewire_ohci crct10dif_common r8169 e1000e firewire_core serio_raw mii crc_itu_t wmi video dm_mirror dm_region_hash dm_log dm_mod virtio_blk virtio_pci virtio_net virtio_rng virtio_ring virtio igb dca ptp pps_core i2c_algo_bit i2c_core
[21480.838240] CPU: 5 PID: 0 Comm: swapper/5 Tainted: PF          O--------------   3.10.0-229.20.1.el7.x86_64 #1
[21480.838242] Hardware name: LENOVO 42762QU/42762QU, BIOS 8BET62WW (1.42 ) 07/26/2013
[21480.838243]  ffff88043dd43d88 3d40b20efa5292b5 ffff88043dd43d40 ffffffff816045b6
[21480.838247]  ffff88043dd43d78 ffffffff8106e29b 0000000000000000 ffff88041db18000
[21480.838249]  ffff88041d89bc80 0000000000000001 0000000000000005 ffff88043dd43de0
[21480.838251] Call Trace:
[21480.838253]  <IRQ>  [<ffffffff816045b6>] dump_stack+0x19/0x1b
[21480.838262]  [<ffffffff8106e29b>] warn_slowpath_common+0x6b/0xb0
[21480.838264]  [<ffffffff8106e33c>] warn_slowpath_fmt+0x5c/0x80
[21480.838272]  [<ffffffff8151d830>] dev_watchdog+0x270/0x280
[21480.838274]  [<ffffffff8151d5c0>] ? dev_graft_qdisc+0x80/0x80
[21480.838278]  [<ffffffff8107df66>] call_timer_fn+0x36/0x110
[21480.838280]  [<ffffffff8151d5c0>] ? dev_graft_qdisc+0x80/0x80
[21480.838282]  [<ffffffff8107fddf>] run_timer_softirq+0x21f/0x320
[21480.838285]  [<ffffffff81077b3f>] __do_softirq+0xef/0x280
[21480.838288]  [<ffffffff81615d1c>] call_softirq+0x1c/0x30
[21480.838292]  [<ffffffff81015d95>] do_softirq+0x65/0xa0
[21480.838294]  [<ffffffff81077ed5>] irq_exit+0x115/0x120
[21480.838297]  [<ffffffff81616995>] smp_apic_timer_interrupt+0x45/0x60
[21480.838300]  [<ffffffff8161505d>] apic_timer_interrupt+0x6d/0x80
[21480.838302]  <EOI>  [<ffffffff814aa25f>] ? cpuidle_enter_state+0x4f/0xc0
[21480.838308]  [<ffffffff814aa258>] ? cpuidle_enter_state+0x48/0xc0
[21480.838310]  [<ffffffff814aa395>] cpuidle_idle_call+0xc5/0x200
[21480.838313]  [<ffffffff8101d14e>] arch_cpu_idle+0xe/0x30
[21480.838317]  [<ffffffff810c6921>] cpu_startup_entry+0xf1/0x290
[21480.838321]  [<ffffffff8104228a>] start_secondary+0x1ba/0x230
[21480.838323] ---[ end trace f05a3e4b30509314 ]---
~~~
Comment 84 ilmostro7 2015-11-15 05:49:13 EST
Well, still occurs on Fedora22.  Here's the latest stacktrace from today:

~~~
[ 6050.168560] e1000e 0000:00:19.0 em1: Detected Hardware Unit Hang:
                 TDH                  <77>
                 TDT                  <7a>
                 next_to_use          <7a>
                 next_to_clean        <76>
               buffer_info[next_to_clean]:
                 time_stamp           <10057b774>
                 next_to_watch        <78>
                 jiffies              <10057bbcc>
                 next_to_watch.status <0>
               MAC Status             <80083>
               PHY Status             <796d>
               PHY 1000BASE-T Status  <3800>
               PHY Extended Status    <3000>
               PCI Status             <10>
[ 6052.168735] e1000e 0000:00:19.0 em1: Detected Hardware Unit Hang:
                 TDH                  <77>
                 TDT                  <7a>
                 next_to_use          <7a>
                 next_to_clean        <76>
               buffer_info[next_to_clean]:
                 time_stamp           <10057b774>
                 next_to_watch        <78>
                 jiffies              <10057c39c>
                 next_to_watch.status <0>
               MAC Status             <80083>
               PHY Status             <796d>
               PHY 1000BASE-T Status  <3800>
               PHY Extended Status    <3000>
               PCI Status             <10>
[ 6054.168861] e1000e 0000:00:19.0 em1: Detected Hardware Unit Hang:
                 TDH                  <77>
                 TDT                  <7a>
                 next_to_use          <7a>
                 next_to_clean        <76>
               buffer_info[next_to_clean]:
                 time_stamp           <10057b774>
                 next_to_watch        <78>
                 jiffies              <10057cb6c>
                 next_to_watch.status <0>
               MAC Status             <80083>
               PHY Status             <796d>
               PHY 1000BASE-T Status  <3800>
               PHY Extended Status    <3000>
               PCI Status             <10>
[ 6055.180115] ------------[ cut here ]------------
[ 6055.180135] WARNING: CPU: 0 PID: 0 at net/sched/sch_generic.c:303 dev_watchdog+0x22e/0x240()
[ 6055.180139] NETDEV WATCHDOG: em1 (e1000e): transmit queue 0 timed out
[ 6055.180141] Modules linked in: rfcomm xt_set xt_multiport ip_set_hash_ip ip_set nfnetlink ccm ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ftp nf_log_ipv4 nf_log_common xt_LOG xt_limi
t ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_
tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep btusb btrtl btbcm btintel uvcvideo bluetooth videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common
 videodev media xfs libcrc32c iTCO_wdt intel_rapl iTCO_vendor_support iosf_mbi arc4 snd_hda_codec_hdmi
[ 6055.180205]  x86_pkg_temp_thermal coretemp kvm_intel iwldvm snd_hda_codec_conexant kvm snd_hda_codec_generic mac80211 snd_hda_intel snd_hda_codec nvidia(POE) snd_hda_core snd_hwdep snd_seq crct10dif_pclmul crc32_pclmul snd_seq_device cr
c32c_intel snd_pcm iwlwifi joydev thinkpad_acpi cfg80211 snd_timer tpm_tis drm snd lpc_ich tpm i2c_i801 soundcore mei_me shpchp rfkill mei binfmt_misc firewire_ohci sdhci_pci e1000e 8021q firewire_core sdhci garp stp llc serio_raw mrp crc_
itu_t mmc_core r8169 ptp mii pps_core wmi video
[ 6055.180261] CPU: 0 PID: 0 Comm: swapper/0 Tainted: P           OE   4.2.5-201.fc22.x86_64 #1
[ 6055.180263] Hardware name: LENOVO 42762QU/42762QU, BIOS 8BET62WW (1.42 ) 07/26/2013
[ 6055.180266]  0000000000000000 5819e34b2351f24a ffff88043dc03d58 ffffffff8177280a
[ 6055.180272]  0000000000000000 ffff88043dc03db0 ffff88043dc03d98 ffffffff8109e4b6
[ 6055.180276]  ffff88043dc03d88 0000000000000000 ffff8804268c0000 0000000000000000
[ 6055.180280] Call Trace:
[ 6055.180283]  <IRQ>  [<ffffffff8177280a>] dump_stack+0x45/0x57
[ 6055.180297]  [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
[ 6055.180302]  [<ffffffff8109e545>] warn_slowpath_fmt+0x55/0x70
[ 6055.180309]  [<ffffffff8168612e>] dev_watchdog+0x22e/0x240
[ 6055.180314]  [<ffffffff81685f00>] ? qdisc_rcu_free+0x40/0x40
[ 6055.180318]  [<ffffffff81105a69>] call_timer_fn+0x39/0xf0
[ 6055.180323]  [<ffffffff81685f00>] ? qdisc_rcu_free+0x40/0x40
[ 6055.180327]  [<ffffffff8110609f>] run_timer_softirq+0x20f/0x2c0
[ 6055.180332]  [<ffffffff810a286b>] __do_softirq+0xfb/0x290
[ 6055.180336]  [<ffffffff810a2c19>] irq_exit+0x119/0x120
[ 6055.180342]  [<ffffffff8177bef6>] smp_apic_timer_interrupt+0x46/0x60
[ 6055.180347]  [<ffffffff8177a08b>] apic_timer_interrupt+0x6b/0x70
[ 6055.180349]  <EOI>  [<ffffffff816165ad>] ? cpuidle_enter_state+0x12d/0x270
[ 6055.180361]  [<ffffffff8161658b>] ? cpuidle_enter_state+0x10b/0x270
[ 6055.180366]  [<ffffffff81616727>] cpuidle_enter+0x17/0x20
[ 6055.180370]  [<ffffffff810dfcd2>] call_cpuidle+0x32/0x60
[ 6055.180375]  [<ffffffff81616703>] ? cpuidle_select+0x13/0x20
[ 6055.180379]  [<ffffffff810dff68>] cpu_startup_entry+0x268/0x320
[ 6055.180384]  [<ffffffff81768f4c>] rest_init+0x7c/0x80
[ 6055.180390]  [<ffffffff81d5702d>] start_kernel+0x49d/0x4be
[ 6055.180395]  [<ffffffff81d56120>] ? early_idt_handler_array+0x120/0x120
[ 6055.180400]  [<ffffffff81d56339>] x86_64_start_reservations+0x2a/0x2c
[ 6055.180404]  [<ffffffff81d56485>] x86_64_start_kernel+0x14a/0x16d
[ 6055.180408] ---[ end trace 860ebf3db8ae4e35 ]---
[ 6055.180450] e1000e 0000:00:19.0 em1: Reset adapter unexpectedly
[ 6059.083452] e1000e: em1 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
~~~
Comment 85 Alex Regan 2016-02-08 12:41:25 EST
It looks like it also happens with fedora23. This only appears to happen when connected to my service providers Cisco gear on a 10mbit ethernet link. Controller set to 100/full.


Feb 06 20:37:08 kernel: ------------[ cut here ]------------
Feb 06 20:37:08 kernel: WARNING: CPU: 0 PID: 0 at net/sched/sch_generic.c:303 dev_watchdog+0x22e/0x240()
Feb 06 20:37:08 kernel: NETDEV WATCHDOG: eth0 (e1000e): transmit queue 0 timed out
Feb 06 20:37:08 kernel: Modules linked in: act_police cls_basic cls_flow cls_fw cls_u32 sch_tbf sch_prio sch_htb sch_hfsc sch_ingress sch_sfq xt_CHECKSUM ipt_rpfilter xt_statistic xt_CT xt_connlimit xt_realm xt_addrtype ip_set_hash_ip xt_comment xt_recent xt_nat ipt_MASQUERADE nf_nat_masquerade_ipv4 ipt_ECN ipt_CLUSTERIP ipt_ah xt_set ip_set xt_NFLOG nfnetlink_log xt_LOG nf_log_ipv4 nf_log_common nf_nat_tftp nf_nat_snmp_basic nf_conntrack_snmp nf_nat_sip nf_nat_pptp nf_nat_proto_gre nf_nat_irc nf_nat_h323 nf_nat_ftp nf_nat_amanda ts_kmp nf_conntrack_amanda nf_conntrack_sane nf_conntrack_tftp nf_conntrack_sip nf_conntrack_proto_udplite nf_conntrack_proto_sctp nf_conntrack_pptp nf_conntrack_proto_gre nf_conntrack_netlink nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_irc nf_conntrack_h323 nf_conntrack_ftp
Feb 06 20:37:08 kernel:  xt_TPROXY nf_defrag_ipv6 xt_time xt_TCPMSS xt_tcpmss xt_sctp xt_policy xt_pkttype xt_physdev br_netfilter bridge stp llc xt_owner xt_NFQUEUE xt_multiport xt_mark xt_mac xt_limit xt_length xt_iprange xt_helper xt_hashlimit xt_DSCP xt_dscp xt_dccp xt_conntrack xt_connmark xt_CLASSIFY xt_AUDIT xt_state iptable_raw iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack iptable_mangle nfnetlink authenc echainiv cmac rmd160 ip_vti ip_tunnel af_key ah6 ah4 esp6 esp4 xfrm4_mode_beet xfrm4_tunnel tunnel4 xfrm4_mode_tunnel xfrm4_mode_transport xfrm6_mode_transport xfrm6_mode_ro xfrm6_mode_beet xfrm6_mode_tunnel ipcomp ipcomp6 xfrm6_tunnel tunnel6 xfrm_ipcomp camellia_generic camellia_aesni_avx_x86_64 camellia_x86_64 cast6_avx_x86_64 cast6_generic cast5_avx_x86_64 cast5_generic
Feb 06 20:37:08 kernel:  cast_common deflate cts gcm ccm serpent_avx_x86_64 serpent_sse2_x86_64 serpent_generic blowfish_generic blowfish_x86_64 blowfish_common twofish_generic twofish_avx_x86_64 twofish_x86_64_3way twofish_x86_64 twofish_common xcbc sha256_ssse3 sha512_ssse3 sha512_generic des_generic tpm_rng timeriomem_rng virtio_rng virtio_ring virtio intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel kvm iTCO_wdt iTCO_vendor_support crct10dif_pclmul crc32_pclmul crc32c_intel ipmi_ssif i2c_i801 e1000e joydev ie31200_edac lpc_ich ptp shpchp edac_core pps_core ipmi_si ipmi_msghandler fjes tpm_tis tpm video raid1 mgag200 i2c_algo_bit drm_kms_helper ttm drm serio_raw
Feb 06 20:37:08 kernel: CPU: 0 PID: 0 Comm: swapper/0 Not tainted 4.3.4-300.fc23.x86_64 #1
Feb 06 20:37:08 kernel: Hardware name: Supermicro X9SCL/X9SCM/X9SCL/X9SCM, BIOS 2.2 02/20/2015
Feb 06 20:37:08 kernel:  0000000000000000 63bbd8f48868fce9 ffff88042fc03da0 ffffffff813a625f
Feb 06 20:37:08 kernel:  ffff88042fc03de8 ffff88042fc03dd8 ffffffff810a07c2 0000000000000000
Feb 06 20:37:08 kernel:  ffff88041c0f8000 0000000000000000 0000000000000001 ffff88041c0f8000
Feb 06 20:37:08 kernel: Call Trace:
Feb 06 20:37:08 kernel:  <IRQ>  [<ffffffff813a625f>] dump_stack+0x44/0x55
Feb 06 20:37:08 kernel:  [<ffffffff810a07c2>] warn_slowpath_common+0x82/0xc0
Feb 06 20:37:08 kernel:  [<ffffffff810a085c>] warn_slowpath_fmt+0x5c/0x80
Feb 06 20:37:08 kernel:  [<ffffffff816921ee>] dev_watchdog+0x22e/0x240
Feb 06 20:37:08 kernel:  [<ffffffff81691fc0>] ? qdisc_rcu_free+0x40/0x40
Feb 06 20:37:08 kernel:  [<ffffffff811084a5>] call_timer_fn+0x35/0xf0
Feb 06 20:37:08 kernel:  [<ffffffff81691fc0>] ? qdisc_rcu_free+0x40/0x40
Feb 06 20:37:08 kernel:  [<ffffffff81108aaf>] run_timer_softirq+0x20f/0x2c0
Feb 06 20:37:08 kernel:  [<ffffffff810a510b>] __do_softirq+0xfb/0x290
Feb 06 20:37:08 kernel:  [<ffffffff810a54a5>] irq_exit+0x105/0x110
Feb 06 20:37:08 kernel:  [<ffffffff817847d2>] smp_apic_timer_interrupt+0x42/0x50
Feb 06 20:37:08 kernel:  [<ffffffff81782637>] apic_timer_interrupt+0x87/0x90
Feb 06 20:37:08 kernel:  <EOI>  [<ffffffff8161f820>] ? cpuidle_enter_state+0x130/0x270
Feb 06 20:37:08 kernel:  [<ffffffff8161f997>] cpuidle_enter+0x17/0x20
Feb 06 20:37:08 kernel:  [<ffffffff810e26b2>] call_cpuidle+0x32/0x60
Feb 06 20:37:08 kernel:  [<ffffffff8161f973>] ? cpuidle_select+0x13/0x20
Feb 06 20:37:08 kernel:  [<ffffffff810e2946>] cpu_startup_entry+0x266/0x320
Feb 06 20:37:08 kernel:  [<ffffffff81775d1c>] rest_init+0x7c/0x80
Feb 06 20:37:08 kernel:  [<ffffffff81d5c01e>] start_kernel+0x498/0x4b9
Feb 06 20:37:08 kernel:  [<ffffffff81d5b120>] ? early_idt_handler_array+0x120/0x120
Feb 06 20:37:08 kernel:  [<ffffffff81d5b339>] x86_64_start_reservations+0x2a/0x2c
Feb 06 20:37:08 kernel:  [<ffffffff81d5b485>] x86_64_start_kernel+0x14a/0x16d
Feb 06 20:37:08 kernel: ---[ end trace df089ad6784ac5d1 ]---
Feb 06 20:37:08 kernel: e1000e 0000:00:19.0 eth0: Reset adapter unexpectedly
Feb 06 20:37:10 kernel: e1000e: eth0 NIC Link is Up 100 Mbps Full Duplex, Flow Control: None

Note You need to log in before you can comment on or make changes to this bug.